 /*********************************************************************************/
  /**** This code is used to create a SAS file with variable labels and value   ****/
  /**** labels using an ASCII file. It might be useful also when using the SAS  ****/
  /**** file C12MICEE.SD2 , the format & label statements are included          ****/
  /*********************************************************************************/


proc format;

/* DDAY format applies to: DDAY  */
VALUE DDAY
                1 = "Sunday"
                2 = "Monday"
                3 = "Tuesday"
                4 = "Wednesday"
                5 = "Thursday"
                6 = "Friday"
                7 = "Saturday";
/* PLACE format applies to: PLACE  */
VALUE PLACE
                01 = "Respondet's home"
                02 = "Work place"
                03 = "Someone e's home"
                04 = "Other plourhood)"
                05 = "Car (driver)"
                06 = "Car (passenger)"
                07 = "Walk"
                08 = "Bus and subway"
                09 = "Bicycle"
                10 = "Other (aorcycle)"
                97 = "Not statormation"
                98 = "Dont know"
                99 = "Not stated";
/* ALONE format applies to: ALONE  */
VALUE ALONE
                1 = "Yes"
                2 = "No"
                7 = "Not askeity code"
                8 = "Personalactivity"
                9 = "Not stated";
/* SPOUSE format applies to: SPOUSE  */
VALUE SPOUSE
                1 = "Yes"
                2 = "No"
                7 = "Not askeity code"
                8 = "Personalactivity"
                9 = "Not stated";
/* CHILDHSD format applies to: CHILDHSD  */
VALUE CHILDHSD
                1 = "Yes"
                2 = "No"
                7 = "Not askeity code"
                8 = "Personalactivity"
                9 = "Not stated";
/* PARHSD format applies to: PARHSD  */
VALUE PARHSD
                1 = "Yes"
                2 = "No"
                7 = "Not askeity code"
                8 = "Personalactivity"
                9 = "Not stated";
/* MEMBHSD format applies to: MEMBHSD  */
VALUE MEMBHSD
                1 = "Yes"
                2 = "No"
                7 = "Not askeity code"
                8 = "Personalactivity"
                9 = "Not stated";
/* NHSCL15F format applies to: NHSDCL15  */
VALUE NHSCL15F
                1 = "Yes"
                2 = "No"
                7 = "Not askeity code"
                8 = "Personalactivity"
                9 = "Not stated";
/* NHSDC15P format applies to: NHSDC15P  */
VALUE NHSDC15P
                1 = "Yes"
                2 = "No"
                7 = "Not askeity code"
                8 = "Personalactivity"
                9 = "Not stated";
/* NHSDPAR format applies to: NHSDPAR  */
VALUE NHSDPAR
                1 = "Yes"
                2 = "No"
                7 = "Not askeity code"
                8 = "Personalactivity"
                9 = "Not stated";
/* OTHFAM format applies to: OTHFAM  */
VALUE OTHFAM
                1 = "Yes"
                2 = "No"
                7 = "Not askeity code"
                8 = "Personalactivity"
                9 = "Not stated";
/* FRIENDS format applies to: FRIENDS  */
VALUE FRIENDS
                1 = "Yes"
                2 = "No"
                7 = "Not askeity code"
                8 = "Personalactivity"
                9 = "Not stated";
/* OTHERS format applies to: OTHERS  */
VALUE OTHERS
                1 = "Yes"
                2 = "No"
                7 = "Not askeity code"
                8 = "Personalactivity"
                9 = "Not stated";
/* HELP format applies to: HELP  */
VALUE HELP
                1 = "Person"
                2 = "Organization"
                3 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* HELP65F format applies to: HELP65  */
VALUE HELP65F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* HELPLIM format applies to: HELPLIM  */
VALUE HELPLIM
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* HELPREL format applies to: HELPREL  */
VALUE HELPREL
                01 = "Parent(s) in-law"
                02 = "Childrenousehold"
                03 = "Other meousehold"
                04 = "Friend(s)"
                05 = "Neighbour(s)"
                06 = "Co-worker(s)"
                07 = "Others"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* ORGCON format applies to: ORGCON  */
VALUE ORGCON
                1 = "Seniors"
                2 = "Children"
                3 = "Persons bilities"
                4 = "Other"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* ENJOYAC format applies to: ENJOYAC  */
VALUE ENJOYAC
                1 = "Yes"
                2 = "No"
                3 = "None"
                9 = "Not stated";
run;


DATA DATA1;
    INFILE 'V:\PROD\DATA\12_MONTH\C12MICEE.DAT' LRECL=73;

INPUT
  @00001 RECID                 5.
  @00006 EPINO                 2.
  @00008 WGHTEPI              10.4
  @00018 WGHTFIN              10.4
  @00028 DDAY             $CHAR1.
  @00029 TOTEPISO              2.
  @00031 ACTCODE          $CHAR3.
  @00034 STARTIME         $CHAR4.
  @00038 ENDTIME          $CHAR4.
  @00042 STARMIN          $CHAR4.
  @00046 ENDMIN           $CHAR4.
  @00050 DURATION              4.
  @00054 PLACE            $CHAR2.
  @00056 ALONE            $CHAR1.
  @00057 SPOUSE           $CHAR1.
  @00058 CHILDHSD         $CHAR1.
  @00059 PARHSD           $CHAR1.
  @00060 MEMBHSD          $CHAR1.
  @00061 NHSDCL15         $CHAR1.
  @00062 NHSDC15P         $CHAR1.
  @00063 NHSDPAR          $CHAR1.
  @00064 OTHFAM           $CHAR1.
  @00065 FRIENDS          $CHAR1.
  @00066 OTHERS           $CHAR1.
  @00067 HELP             $CHAR1.
  @00068 HELP65           $CHAR1.
  @00069 HELPLIM          $CHAR1.
  @00070 HELPREL          $CHAR2.
  @00072 ORGCON           $CHAR1.
  @00073 ENJOYAC          $CHAR1.
     ;

RUN;

LABEL RECID  = "Record identification.";
LABEL EPINO  = "Sequential episode number.";
LABEL WGHTEPI  = "Episode weight.";
LABEL WGHTFIN  = "Final weight.";
LABEL DDAY  = "Designated day of interview.";
LABEL TOTEPISO  = "episodes";
LABEL ACTCODE  = "Activity code of the episode.";
LABEL STARTIME  = "Start time of the episode.";
LABEL ENDTIME  = "End time of the episode.";
LABEL STARMIN  = "minutes";
LABEL ENDMIN  = "minutes";
LABEL DURATION  = "minutes";
LABEL PLACE  = "Location of the episode.";
LABEL ALONE  = "Social contacts - alone?";
LABEL SPOUSE  = "Social contacts - with spouse?";
LABEL CHILDHSD  = "Social contacts - with children of the h";
LABEL PARHSD  = "Social contacts - with parent(s) or pare";
LABEL MEMBHSD  = "Social contacts - with other member(s) o";
LABEL NHSDCL15  = "Social contacts - with child(ren) of the";
LABEL NHSDC15P  = "Social contacts - with child(ren) of the";
LABEL NHSDPAR  = "Social contacts - with parent(s) or pare";
LABEL OTHFAM  = "Social contacts - with other family memb";
LABEL FRIENDS  = "Social contacts - with friends living ou";
LABEL OTHERS  = "Social contacts - with others living out";
LABEL HELP  = "Did this activity help a person outside ";
LABEL HELP65  = "Was the person helped 65 years or older?";
LABEL HELPLIM  = "Does the person you helped have a long-t";
LABEL HELPREL  = "What is this person's relationship to yo";
LABEL ORGCON  = "Was this organization mostly concerned w";
LABEL ENJOYAC  = "Is this activity the most enjoyable?";

FORMAT
   DDAY  DDAY.
   PLACE  PLACE.
   ALONE  ALONE.
   SPOUSE  SPOUSE.
   CHILDHSD  CHILDHSD.
   PARHSD  PARHSD.
   MEMBHSD  MEMBHSD.
   NHSDCL15  NHSCL15F.
   NHSDC15P  NHSDC15P.
   NHSDPAR  NHSDPAR.
   OTHFAM  OTHFAM.
   FRIENDS  FRIENDS.
   OTHERS  OTHERS.
   HELP  HELP.
   HELP65  HELP65F.
   HELPLIM  HELPLIM.
   HELPREL  HELPREL.
   ORGCON  ORGCON.
   ENJOYAC  ENJOYAC.;
run;
