  /*********************************************************************************/
  /**** This code is used to create a SAS file with variable labels and value   ****/
  /**** labels using an ASCII file. It might be useful also when using the SAS  ****/
  /**** file C12MICME.SD2 , the format, label statements are included           ****/
  /*********************************************************************************/

proc format;

/* SURVMNTH format applies to: SURVMNTH  */
VALUE SURVMNTH
                01 = "January    1999"
                02 = "February    1998"
                03 = "March       1998"
                04 = "April       1998"
                05 = "May         1998"
                06 = "June        1998"
                07 = "July        1998"
                08 = "August      1998"
                09 = "Septembe    1998"
                10 = "October     1998"
                11 = "November    1998"
                12 = "December    1998";
/* LANINT format applies to: LANINT  */
VALUE LANINT
                1 = "English"
                2 = "French";
/* AGEGR5F format applies to: AGEGR5  */
VALUE AGEGR5F
                01 = "15 to 17"
                02 = "18 to 19"
                03 = "20 to 24"
                04 = "25 to 29"
                05 = "30 to 34"
                06 = "35 to 39"
                07 = "40 to 44"
                08 = "45 to 49"
                09 = "50 to 54"
                10 = "55 to 59"
                11 = "60 to 64"
                12 = "65 to 69"
                13 = "70 to 74"
                14 = "75 to 79"
                15 = "80 yearsand over";
/* AGEGR10F format applies to: AGEGR10  */
VALUE AGEGR10F
                1 = "15 to 24"
                2 = "25 to 34"
                3 = "35 to 44"
                4 = "45 to 54"
                5 = "55 to 64"
                6 = "65 to 74"
                7 = "75 to 84"
                8 = "85 yearsand over";
/* SEX format applies to: SEX  */
VALUE SEX
                1 = "Male"
                2 = "Female";
/* MARSTAT format applies to: MARSTAT  */
VALUE MARSTAT
                1 = "Living cmmon-law"
                2 = "Married"
                3 = "Widowed"
                4 = "Divorced"
                5 = "Separated"
                6 = "Single (married)"
                8 = "Don't know"
                9 = "Not stated";
/* AGERGR5F format applies to: AGEPRGR5  */
VALUE AGERGR5F
                01 = "15 to 19"
                02 = "20 to 24"
                03 = "25 to 29"
                04 = "30 to 34"
                05 = "35 to 39"
                06 = "40 to 44"
                07 = "45 to 49"
                08 = "50 to 54"
                09 = "55 to 59"
                10 = "60 to 64"
                11 = "65 to 69"
                12 = "70 to 74"
                13 = "75 to 79"
                14 = "80 yearsand over"
                97 = "Not askeousehold"
                98 = "Don't know"
                99 = "Not stated";
/* PRTYPEC format applies to: PRTYPEC  */
VALUE PRTYPEC
                0 = "Respondeousehold"
                1 = "Respondeousehold"
                2 = "Respondeousehold";
/* CHRFLAG format applies to: CHRFLAG  */
VALUE CHRFLAG
                1 = "Yes"
                2 = "No";
/* AGECHRYC format applies to: AGECHRYC  */
VALUE AGECHRYC
                25 = "25 yearsand over"
                97 = "Not askeousehold"
                99 = "Not stated";
/* CHR0004C format applies to: CHR0004C  */
VALUE CHR0004C
                0 = "None"
                1 = "One child"
                2 = "Two or mchildren";
/* CHR0512C format applies to: CHR0512C  */
VALUE CHR0512C
                0 = "None"
                1 = "One child"
                2 = "Two children"
                3 = "Three orchildren";
/* CHR1314C format applies to: CHR1314C  */
VALUE CHR1314C
                0 = "None"
                1 = "One child"
                2 = "Two or mchildren";
/* CHR1518C format applies to: CHR1518C  */
VALUE CHR1518C
                0 = "None"
                1 = "One child"
                2 = "Two or mchildren";
/* CHR1924C format applies to: CHR1924C  */
VALUE CHR1924C
                0 = "None"
                1 = "One child"
                2 = "Two or mchildren";
/* CHR25UPC format applies to: CHR25UPC  */
VALUE CHR25UPC
                0 = "None"
                1 = "One child"
                2 = "Two or mchildren";
/* CHH0004C format applies to: CHH0004C  */
VALUE CHH0004C
                0 = "None"
                1 = "One child"
                2 = "Two or mchildren";
/* CHH0512C format applies to: CHH0512C  */
VALUE CHH0512C
                0 = "None"
                1 = "One child"
                2 = "Two children"
                3 = "Three orchildren";
/* CHH1314C format applies to: CHH1314C  */
VALUE CHH1314C
                0 = "None"
                1 = "One child"
                2 = "Two or mchildren";
/* CHRIME6F format applies to: CHRTIME6  */
VALUE CHRIME6F
                1 = "No child at home"
                2 = "All chils of age"
                3 = "All chils of age"
                4 = "All chilor older"
                5 = "At leastchildren"
                6 = "Other";
/* PARHSD format applies to: PARHSD  */
VALUE PARHSD
                1 = "Two biol parents"
                2 = "Biologic parents"
                3 = "Biologic-parents"
                4 = "Only one parent"
                7 = "Not askeousehold";
/* LIVRR12F format applies to: LIVARR12  */
VALUE LIVRR12F
                01 = "Alone"
                02 = "Spouse only"
                03 = "Spouse as of age"
                04 = "Spouse aor older"
                05 = "Spouse aild(ren)"
                06 = "Spouse and other"
                07 = "No spouss of age"
                08 = "No spousor older"
                09 = "No spousild(ren)"
                10 = "Living w parents"
                11 = "Living w1 parent"
                12 = "Other liangement";
/* LIVRR08F format applies to: LIVARR08  */
VALUE LIVRR08F
                01 = "Under 25 parents"
                02 = "Under 25 parents"
                03 = "Under 25her only"
                04 = "Under 25her only"
                05 = "25 years parents"
                06 = "25 years parents"
                07 = "25 yearsher only"
                08 = "25 yearsher only";
/* HSDSIZEC format applies to: HSDSIZEC  */
VALUE HSDSIZEC
                1 = "One housd member"
                2 = "Two hous members"
                3 = "Three ho members"
                4 = "Four hou members"
                5 = "Five hou members"
                6 = "Six hous members"
                7 = "Seven ho members"
                8 = "Eight ho or more";
/* FAMTYPE format applies to: FAMTYPE  */
VALUE FAMTYPE
                1 = "Couple only"
                2 = "Intact family"
                3 = "Step-famon child"
                4 = "Step-famon child"
                5 = "Lone part family"
                7 = "Not asked";
/* MULTIGEN format applies to: MULTIGEN  */
VALUE MULTIGEN
                1 = "Yes"
                2 = "No";
/* PRV format applies to: PRV  */
VALUE PRV
                10 = "Newfoundland"
                11 = "Prince Ed Island"
                12 = "Nova Scotia"
                13 = "New Brunswick"
                24 = "Quebec"
                35 = "Ontario"
                46 = "Manitoba"
                47 = "Saskatchewan"
                48 = "Alberta"
                59 = "British Columbia";
/* REGION format applies to: REGION  */
VALUE REGION
                1 = "Atlantic region"
                2 = "Quebec"
                3 = "Ontario"
                4 = "Prairie region"
                5 = "British Columbia";
/* CMAPRV format applies to: CMAPRV  */
VALUE CMAPRV
                01 = "Newfoundland"
                02 = "Prince Ed Island"
                03 = "Nova Scotia"
                04 = "New Brunswick"
                05 = "Quebec non-CMA"
                06 = "Quebec CMA"
                07 = "Ontario non-CMA"
                08 = "Ontario CMA"
                09 = "Manitoba"
                10 = "Saskatch non-CMA"
                11 = "Saskatchewan CMA"
                12 = "Alberta non-CMA"
                13 = "Alberta CMA"
                14 = "British  non-CMA"
                15 = "British mbia CMA";
/* A2F format applies to: A2  */
VALUE A2F
                1 = "Every day?"
                2 = "A few ti a week?"
                3 = "About on a week?"
                4 = "About ona month?"
                5 = "Less thaa month?"
                6 = "Never?"
                9 = "Not stated";
/* A3F format applies to: A3  */
VALUE A3F
                1 = "More rushed"
                2 = "About the same"
                3 = "Less rushed"
                8 = "Don't know"
                9 = "Not stated";
/* A4F format applies to: A4  */
VALUE A4F
                1 = "Every day?"
                2 = "A few ti a week?"
                3 = "About on a week?"
                4 = "About ona month?"
                5 = "Less thaa month?"
                6 = "Never?"
                9 = "Not stated";
/* A5F format applies to: A5  */
VALUE A5F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* A6F format applies to: A6  */
VALUE A6F
                01 = "Time witd, etc.)"
                02 = "Relaxatinal time"
                03 = "Practisig sports"
                04 = "Crafts o hobbies"
                05 = "Outdoor tivities"
                06 = "Reading  writing"
                07 = "Studies"
                08 = "Work"
                09 = "Domestic work"
                10 = "Holiday/travel"
                11 = "Volunteer"
                12 = "Other"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* DDAY format applies to: DDAY  */
VALUE DDAY
                1 = "Sunday"
                2 = "Monday"
                3 = "Tuesday"
                4 = "Wednesday"
                5 = "Thursday"
                6 = "Friday"
                7 = "Saturday";
/* DIARYREC format applies to: DIARYREC  */
VALUE DIARYREC
                1 = "Diary corecall)"
                2 = "Diary corecall)"
                3 = "Diary corecall)";
/* DVTDAY format applies to: DVTDAY  */
VALUE DVTDAY
                1 = "Weekday"
                2 = "Saturday"
                3 = "Sunday";
/* SLEEP1S format applies to: SLEEP1S  */
VALUE SLEEP1S
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* SLEEP1D format applies to: SLEEP1D  */
VALUE SLEEP1D
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* SLEEP2E format applies to: SLEEP2E  */
VALUE SLEEP2E
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* SLEEP2D format applies to: SLEEP2D  */
VALUE SLEEP2D
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* ENJOYAC format applies to: ENJOYAC  */
VALUE ENJOYAC
                997 = "No enjoyactivity"
                999 = "Not stated";
/* ENJOYDU format applies to: ENJOYDU  */
VALUE ENJOYDU
                9997 = "No enjoyactivity"
                9999 = "Not stated";
/* ENJOYLO format applies to: ENJOYLO  */
VALUE ENJOYLO
                01 = "Respondet's home"
                02 = "Work place"
                03 = "Someone e's home"
                04 = "Other plourhood)"
                05 = "Car (driver)"
                06 = "Car (passenger)"
                07 = "Walk"
                08 = "Bus & sutransit)"
                09 = "Bicycle"
                10 = "Other (forcycle)"
                97 = "No enjoyactivity"
                99 = "Not stated";
/* ENJYS01F format applies to: ENJOYS01  */
VALUE ENJYS01F
                1 = "Yes"
                2 = "No"
                7 = "No enjoyactivity"
                8 = "Not statctivity)"
                9 = "Not stated";
/* ENJYS02F format applies to: ENJOYS02  */
VALUE ENJYS02F
                1 = "Yes"
                2 = "No"
                7 = "No enjoyactivity"
                8 = "Not statctivity)"
                9 = "Not stated";
/* ENJYS03F format applies to: ENJOYS03  */
VALUE ENJYS03F
                1 = "Yes"
                2 = "No"
                7 = "No enjoyactivity"
                8 = "Not statctivity)"
                9 = "Not stated";
/* ENJYS04F format applies to: ENJOYS04  */
VALUE ENJYS04F
                1 = "Yes"
                2 = "No"
                7 = "No enjoyactivity"
                8 = "Not statctivity)"
                9 = "Not stated";
/* ENJYS05F format applies to: ENJOYS05  */
VALUE ENJYS05F
                1 = "Yes"
                2 = "No"
                7 = "No enjoyactivity"
                8 = "Not statctivity)"
                9 = "Not stated";
/* ENJYS06F format applies to: ENJOYS06  */
VALUE ENJYS06F
                1 = "Yes"
                2 = "No"
                7 = "No enjoyactivity"
                8 = "Not statctivity)"
                9 = "Not stated";
/* ENJYS07F format applies to: ENJOYS07  */
VALUE ENJYS07F
                1 = "Yes"
                2 = "No"
                7 = "No enjoyactivity"
                8 = "Not statctivity)"
                9 = "Not stated";
/* ENJYS08F format applies to: ENJOYS08  */
VALUE ENJYS08F
                1 = "Yes"
                2 = "No"
                7 = "No enjoyactivity"
                8 = "Not statctivity)"
                9 = "Not stated";
/* ENJYS09F format applies to: ENJOYS09  */
VALUE ENJYS09F
                1 = "Yes"
                2 = "No"
                7 = "No enjoyactivity"
                8 = "Not statctivity)"
                9 = "Not stated";
/* ENJYS10F format applies to: ENJOYS10  */
VALUE ENJYS10F
                1 = "Yes"
                2 = "No"
                7 = "No enjoyactivity"
                8 = "Not statctivity)"
                9 = "Not stated";
/* ENJYS11F format applies to: ENJOYS11  */
VALUE ENJYS11F
                1 = "Yes"
                2 = "No"
                7 = "No enjoyactivity"
                8 = "Not statctivity)"
                9 = "Not stated";
/* C4F format applies to: C4  */
VALUE C4F
                9995 = "Householated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C5F format applies to: C5  */
VALUE C5F
                9995 = "Householated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C4C5F format applies to: C4C5  */
VALUE C4C5F
                9995 = "Householated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EPI01F format applies to: C6EPI01  */
VALUE C6EPI01F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EIE01F format applies to: C6EPIE01  */
VALUE C6EIE01F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EPI02F format applies to: C6EPI02  */
VALUE C6EPI02F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EIE02F format applies to: C6EPIE02  */
VALUE C6EIE02F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EPI03F format applies to: C6EPI03  */
VALUE C6EPI03F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EIE03F format applies to: C6EPIE03  */
VALUE C6EIE03F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EPI04F format applies to: C6EPI04  */
VALUE C6EPI04F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EIE04F format applies to: C6EPIE04  */
VALUE C6EIE04F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EPI05F format applies to: C6EPI05  */
VALUE C6EPI05F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EIE05F format applies to: C6EPIE05  */
VALUE C6EIE05F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EPI06F format applies to: C6EPI06  */
VALUE C6EPI06F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EIE06F format applies to: C6EPIE06  */
VALUE C6EIE06F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EPI07F format applies to: C6EPI07  */
VALUE C6EPI07F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EIE07F format applies to: C6EPIE07  */
VALUE C6EIE07F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EPI08F format applies to: C6EPI08  */
VALUE C6EPI08F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EIE08F format applies to: C6EPIE08  */
VALUE C6EIE08F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EPI09F format applies to: C6EPI09  */
VALUE C6EPI09F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EIE09F format applies to: C6EPIE09  */
VALUE C6EIE09F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EPI10F format applies to: C6EPI10  */
VALUE C6EPI10F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6EIE10F format applies to: C6EPIE10  */
VALUE C6EIE10F
                9995 = "Householated day"
                9996 = "Respondeated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* C6DUR format applies to: C6DUR  */
VALUE C6DUR
                9995 = "Householated day"
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* D2A format applies to: D2A  */
VALUE D2A
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* D2B format applies to: D2B  */
VALUE D2B
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* D2C format applies to: D2C  */
VALUE D2C
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* D2D format applies to: D2D  */
VALUE D2D
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* D2E format applies to: D2E  */
VALUE D2E
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* D2F format applies to: D2F  */
VALUE D2F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* D2G format applies to: D2G  */
VALUE D2G
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* D2H format applies to: D2H  */
VALUE D2H
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* D2I format applies to: D2I  */
VALUE D2I
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* D2J format applies to: D2J  */
VALUE D2J
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* TIMECR format applies to: TIMECR  */
VALUE TIMECR
                00 = "Zero Yes codes"
                01 = "One Yes code"
                02 = "Two Yes codes"
                03 = "Three Yes codes"
                04 = "Four Yes codes"
                05 = "Five Yes codes"
                06 = "Six Yes codes"
                07 = "Seven Yes codes"
                08 = "Eight Yes codes"
                09 = "Nine Yes codes"
                10 = "Ten Yes codes"
                99 = "Not stated";
/* TIMENS format applies to: TIMENS  */
VALUE TIMENS
                00 = "Zero Noted codes"
                01 = "One Not ted code"
                02 = "Two Not ed codes"
                03 = "Three Noed codes"
                04 = "Four Noted codes"
                05 = "Five Noted codes"
                06 = "Six Not ed codes"
                07 = "Seven Noed codes"
                08 = "Eight Noed codes"
                09 = "Nine Noted codes"
                10 = "Ten Not ed codes";
/* D3F format applies to: D3  */
VALUE D3F
                1 = "A lot"
                2 = "Moderate"
                3 = "Relativey little"
                4 = "Almost none"
                5 = "Don't kntress is"
                8 = "Don't know"
                9 = "Not stated";
/* D4F format applies to: D4  */
VALUE D4F
                01 = "Work"
                02 = "Financiaconcerns"
                03 = "Family"
                04 = "School work"
                05 = "Personal health"
                06 = "Stress i general"
                07 = "Other"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* D5F format applies to: D5  */
VALUE D5F
                1 = "Very happy?"
                2 = "Somewhat happy?"
                3 = "Somewhatunhappy?"
                4 = "Very unhappy?"
                5 = "No opinion"
                9 = "Not stated";
/* D6A format applies to: D6A  */
VALUE D6A
                1 = "Very satisfied"
                2 = "Somewhatatisfied"
                3 = "Somewhatatisfied"
                4 = "Very disatisfied"
                5 = "No opinion"
                9 = "Not stated";
/* D6B format applies to: D6B  */
VALUE D6B
                1 = "Very satisfied"
                2 = "Somewhatatisfied"
                3 = "Somewhatatisfied"
                4 = "Very disatisfied"
                5 = "No opinion"
                9 = "Not stated";
/* D6C format applies to: D6C  */
VALUE D6C
                1 = "Very satisfied"
                2 = "Somewhatatisfied"
                3 = "Somewhatatisfied"
                4 = "Very disatisfied"
                5 = "No opinion"
                9 = "Not stated";
/* D6D format applies to: D6D  */
VALUE D6D
                1 = "Very satisfied"
                2 = "Somewhatatisfied"
                3 = "Somewhatatisfied"
                4 = "Very disatisfied"
                5 = "No opinion"
                9 = "Not stated";
/* D6E format applies to: D6E  */
VALUE D6E
                1 = "Very satisfied"
                2 = "Somewhatatisfied"
                3 = "Somewhatatisfied"
                4 = "Very disatisfied"
                5 = "No opinion"
                9 = "Not stated";
/* D7F format applies to: D7  */
VALUE D7F
                1 = "Very satisfied"
                2 = "Somewhatatisfied"
                3 = "Somewhatatisfied"
                4 = "Very disatisfied"
                5 = "No opinion"
                9 = "Not stated";
/* UNWKCHHD format applies to: UNWKCHHD  */
VALUE UNWKCHHD
                999.98 = "Don't know"
                999.99 = "Not stated";
/* UNWKHSDD format applies to: UNWKHSDD  */
VALUE UNWKHSDD
                99.98 = "Don't know"
                99.99 = "Not stated";
/* UNWKSEND format applies to: UNWKSEND  */
VALUE UNWKSEND
                99.98 = "Don't know"
                99.99 = "Not stated";
/* E8F format applies to: E8  */
VALUE E8F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* E9F format applies to: E9  */
VALUE E9F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* E11F format applies to: E11  */
VALUE E11F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* E12F format applies to: E12  */
VALUE E12F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* E13F format applies to: E13  */
VALUE E13F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* E14F format applies to: E14  */
VALUE E14F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* E15F format applies to: E15  */
VALUE E15F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* E18F format applies to: E18  */
VALUE E18F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* E19F format applies to: E19  */
VALUE E19F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* E21F format applies to: E21  */
VALUE E21F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* E23F format applies to: E23  */
VALUE E23F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* E24F format applies to: E24  */
VALUE E24F
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* ACT7DAYS format applies to: ACT7DAYS  */
VALUE ACT7DAYS
                1 = "Working id work)"
                2 = "Looking aid work"
                3 = "Going to school"
                4 = "Householor child"
                5 = "Retired"
                6 = "Other (iillness)"
                9 = "Not stated";
/* F2F format applies to: F2  */
VALUE F2F
                1 = "Full-time"
                2 = "Part-time"
                7 = "Not asked"
                9 = "Not stated";
/* F3F format applies to: F3  */
VALUE F3F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* WKLTWE format applies to: WKLTWE  */
VALUE WKLTWE
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* F4F format applies to: F4  */
VALUE F4F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* F5F format applies to: F5  */
VALUE F5F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F6F format applies to: F6  */
VALUE F6F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* AGELTWKC format applies to: AGELTWKC  */
VALUE AGELTWKC
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* WKWE format applies to: WKWE  */
VALUE WKWE
                97 = "Not asked"
                99 = "Not stated";
/* F13B format applies to: F13B  */
VALUE F13B
                997 = "Not asked"
                998 = "Don't know"
                999 = "Not stated";
/* F14F format applies to: F14  */
VALUE F14F
                1 = "Paid worker"
                2 = "Self-employed"
                3 = "Other"
                7 = "Not asked"
                9 = "Not stated";
/* F16F format applies to: F16  */
VALUE F16F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* F17F format applies to: F17  */
VALUE F17F
                997 = "Not asked"
                999 = "Not stated";
/* SIC0C13F format applies to: SIC80C13  */
VALUE SIC0C13F
                01 = "Agriculture"
                02 = "Other PrIndustry"
                03 = "Manufact-durable"
                04 = "Manufact/durable"
                05 = "Construction"
                06 = "Transportilities"
                07 = "Wholesale trade"
                08 = "Retail trade"
                09 = "Finance/l estate"
                10 = "Communit service"
                11 = "Personal service"
                12 = "Business service"
                13 = "Public astration"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* SIC0C18F format applies to: SIC80C18  */
VALUE SIC0C18F
                01 = "Traditioy sector"
                02 = "Non-trady sector"
                03 = "Natural acturing"
                04 = "Labour iacturing"
                05 = "Scale-baacturing"
                06 = "Product acturing"
                07 = "Science-acturing"
                08 = "Construction"
                09 = "Distribuortation"
                10 = "Distribu./public"
                11 = "Distribule trade"
                12 = "Consumeril trade"
                13 = "Consumerllaneous"
                14 = "Businessl estate"
                15 = "Service nagement"
                16 = "Consumer related"
                17 = "Communit welfare"
                18 = "Public astration"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* NAICS16F format applies to: NAICS16  */
VALUE NAICS16F
                01 = "Agriculture"
                02 = "Forestry and gas"
                03 = "Utilities"
                04 = "Construction"
                05 = "Manufacturing"
                06 = "Trade"
                07 = "Transporehousing"
                08 = "Finance, leasing"
                09 = "Professiservices"
                10 = "Manageme support"
                11 = "Educatioservices"
                12 = "Health csistance"
                13 = "Informatcreation"
                14 = "Accomodaservices"
                15 = "Other services"
                16 = "Public astration"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* SOC0C10F format applies to: SOC80C10  */
VALUE SOC0C10F
                01 = "Manageriessional"
                02 = "Clerical"
                03 = "Sales"
                04 = "Services"
                05 = "Primary upations"
                06 = "Processiricating"
                07 = "Construcn trades"
                08 = "Transporperating"
                09 = "Materialr crafts"
                10 = "Other ocs n.e.c."
                97 = "Not asked"
                98 = "Dont know"
                99 = "Not stated";
/* SOC1C08F format applies to: SOC91C08  */
VALUE SOC1C08F
                01 = "Managemeupations"
                02 = "Professiupations"
                03 = "Technoloupations"
                04 = "Clericalupations"
                05 = "Sales anupations"
                06 = "Trades, upations"
                07 = "Occupatidustries"
                08 = "Occupatitilities"
                97 = "Not applicable"
                98 = "Don't know"
                99 = "Not stated";
/* SOC1C10F format applies to: SOC91C10  */
VALUE SOC1C10F
                01 = "Managemeupations"
                02 = "Businessupations"
                03 = "Natural sciences"
                04 = "Health oupations"
                05 = "Occupatiducation"
                06 = "Artisticon/sport"
                07 = "Sales anupations"
                08 = "Trades, quipment"
                09 = "Occupatiindustry"
                10 = "Occupatiacturing"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* BLISH12F format applies to: BLISH12  */
VALUE BLISH12F
                01 = "Below 25"
                02 = "25 to 29"
                03 = "30 to 34"
                04 = "35 to 39"
                05 = "40 to 44"
                06 = "45 to 49"
                07 = "50 to 54"
                08 = "55 to 59"
                09 = "60 to 64"
                10 = "65 to 69"
                11 = "70 to 74"
                12 = "75 and over"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* PINOC06F format applies to: PINEOC06  */
VALUE PINOC06F
                1 = "Professinagement"
                2 = "Semi-pronagement"
                3 = "Supervisorewomen"
                4 = "Skilled /farmers"
                5 = "Semi-skimployees"
                6 = "Unskille labours"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F22F format applies to: F22  */
VALUE F22F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* F23F format applies to: F23  */
VALUE F23F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* F24F format applies to: F24  */
VALUE F24F
                999.7 = "Not asked"
                999.8 = "Don't know"
                999.9 = "Not stated";
/* F25A format applies to: F25A  */
VALUE F25A
                999.7 = "Not asked"
                999.8 = "Don't know"
                999.9 = "Not stated";
/* F25B format applies to: F25B  */
VALUE F25B
                99.7 = "Not asked"
                99.8 = "Don't know"
                99.9 = "Not stated";
/* WKWEHR format applies to: WKWEHR  */
VALUE WKWEHR
                999.7 = "Not asked"
                999.8 = "Don't know"
                999.9 = "Not stated";
/* F26_C1F format applies to: F26_C1  */
VALUE F26_C1F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F26_C2F format applies to: F26_C2  */
VALUE F26_C2F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F26_C3F format applies to: F26_C3  */
VALUE F26_C3F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F26_C4F format applies to: F26_C4  */
VALUE F26_C4F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F26_C5F format applies to: F26_C5  */
VALUE F26_C5F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F26_C6F format applies to: F26_C6  */
VALUE F26_C6F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F26_C7F format applies to: F26_C7  */
VALUE F26_C7F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F26_C8F format applies to: F26_C8  */
VALUE F26_C8F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F26_C9F format applies to: F26_C9  */
VALUE F26_C9F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F26B format applies to: F26B  */
VALUE F26B
                1 = "Fewer hoss pay ?"
                2 = "More houre pay ?"
                3 = "The sameme pay ?"
                4 = "None of he above"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F27F format applies to: F27  */
VALUE F27F
                01 = "A regular shift?"
                02 = "A regulag shift?"
                03 = "A regulat shift?"
                04 = "A rotatig shift?"
                05 = "A split shift?"
                06 = "On call r casual"
                07 = "An irregschedule"
                08 = "Other"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* F30F format applies to: F30  */
VALUE F30F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F31F format applies to: F31  */
VALUE F31F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F32F format applies to: F32  */
VALUE F32F
                01 = "Care forchildren"
                02 = "Care for members"
                03 = "Other pebilities"
                04 = "Requiremo choice"
                05 = "Home is  of work"
                06 = "Better c of work"
                07 = "Saves tie, money"
                08 = "Other reason"
                97 = "Not asked"
                99 = "Not stated";
/* F33F format applies to: F33  */
VALUE F33F
                997 = "Not asked"
                998 = "Don't know"
                999 = "Not stated";
/* LFSGSS format applies to: LFSGSS  */
VALUE LFSGSS
                1 = "Full-timer week)"
                2 = "Part-timer week)"
                3 = "Student ployment"
                4 = "Student ployment"
                5 = "No hoursployment"
                9 = "Not stated";
/* LFSSD12F format applies to: LFSHSD12  */
VALUE LFSSD12F
                01 = "Resp. - me empl."
                02 = "Resp. - me empl."
                03 = "Resp. - ot empl."
                04 = "Resp. - me empl."
                05 = "Resp. - me empl."
                06 = "Resp. - ot empl."
                07 = "Resp. - me empl."
                08 = "Resp. - me empl."
                09 = "Resp. - ot empl."
                10 = "Resp. - ousehold"
                11 = "Resp. - ousehold"
                12 = "Resp. - ousehold"
                99 = "Not stated";
/* F35F format applies to: F35  */
VALUE F35F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* F36F format applies to: F36  */
VALUE F36F
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* F37A format applies to: F37A  */
VALUE F37A
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* F37B format applies to: F37B  */
VALUE F37B
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F37C format applies to: F37C  */
VALUE F37C
                999.7 = "Not asked"
                999.8 = "Don't know"
                999.9 = "Not stated";
/* F38F format applies to: F38  */
VALUE F38F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F38A format applies to: F38A  */
VALUE F38A
                999.7 = "Not asked"
                999.8 = "Don't know"
                999.9 = "Not stated";
/* F39F format applies to: F39  */
VALUE F39F
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* F40_C01F format applies to: F40_C01  */
VALUE F40_C01F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C02F format applies to: F40_C02  */
VALUE F40_C02F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C03F format applies to: F40_C03  */
VALUE F40_C03F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C04F format applies to: F40_C04  */
VALUE F40_C04F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C05F format applies to: F40_C05  */
VALUE F40_C05F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C06F format applies to: F40_C06  */
VALUE F40_C06F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C07F format applies to: F40_C07  */
VALUE F40_C07F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C08F format applies to: F40_C08  */
VALUE F40_C08F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C09F format applies to: F40_C09  */
VALUE F40_C09F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C10F format applies to: F40_C10  */
VALUE F40_C10F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C11F format applies to: F40_C11  */
VALUE F40_C11F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C12F format applies to: F40_C12  */
VALUE F40_C12F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C13F format applies to: F40_C13  */
VALUE F40_C13F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C14F format applies to: F40_C14  */
VALUE F40_C14F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C15F format applies to: F40_C15  */
VALUE F40_C15F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C16F format applies to: F40_C16  */
VALUE F40_C16F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C17F format applies to: F40_C17  */
VALUE F40_C17F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C18F format applies to: F40_C18  */
VALUE F40_C18F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C19F format applies to: F40_C19  */
VALUE F40_C19F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C20F format applies to: F40_C20  */
VALUE F40_C20F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C21F format applies to: F40_C21  */
VALUE F40_C21F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C22F format applies to: F40_C22  */
VALUE F40_C22F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C23F format applies to: F40_C23  */
VALUE F40_C23F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C24F format applies to: F40_C24  */
VALUE F40_C24F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C25F format applies to: F40_C25  */
VALUE F40_C25F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C26F format applies to: F40_C26  */
VALUE F40_C26F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* F40_C27F format applies to: F40_C27  */
VALUE F40_C27F
                1 = "Yes"
                2 = "No"
                7 = "Not asked";
/* NUMSUBJ format applies to: NUMSUBJ  */
VALUE NUMSUBJ
                1 = "One subject"
                2 = "Two subjects"
                3 = "Three subjects"
                4 = "Four subjects"
                7 = "Not asked";
/* F41_C1F format applies to: F41_C1  */
VALUE F41_C1F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F41_C2F format applies to: F41_C2  */
VALUE F41_C2F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F41_C3F format applies to: F41_C3  */
VALUE F41_C3F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F41_C4F format applies to: F41_C4  */
VALUE F41_C4F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F41_C5F format applies to: F41_C5  */
VALUE F41_C5F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F41_C6F format applies to: F41_C6  */
VALUE F41_C6F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F41_C7F format applies to: F41_C7  */
VALUE F41_C7F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F42F format applies to: F42  */
VALUE F42F
                999.7 = "Not asked"
                999.8 = "Don't know"
                999.9 = "Not stated";
/* F44F format applies to: F44  */
VALUE F44F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* F45F format applies to: F45  */
VALUE F45F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* EDU10F format applies to: EDU10  */
VALUE EDU10F
                01 = "Doctoratgraduate"
                02 = "Bachelors degree"
                03 = "Diploma/ college"
                04 = "Diploma/echnical"
                05 = "Some university"
                06 = "Some com/nursing"
                07 = "Some traechnical"
                08 = "High sch diploma"
                09 = "Some sech school"
                10 = "Elementachooling"
                98 = "Don't know"
                99 = "Not stated";
/* EDUSTAT format applies to: EDUSTAT  */
VALUE EDUSTAT
                1 = "Full-timn status"
                2 = "Part-timn status"
                7 = "Not asked"
                9 = "Not stated";
/* EDUYR format applies to: EDUYR  */
VALUE EDUYR
                00 = "No schooling"
                01 = "One to fve years"
                06 = "Six years"
                07 = "Seven years"
                08 = "Eight years"
                09 = "Nine years"
                10 = "Ten years"
                11 = "Eleven years"
                12 = "Twelve years"
                13 = "Thirteen years"
                98 = "Don't know"
                99 = "Not stated";
/* F47F format applies to: F47  */
VALUE F47F
                9995 = "Still atg school"
                9997 = "Not asked"
                9999 = "Not stated";
/* F48F format applies to: F48  */
VALUE F48F
                1 = "Satisfied"
                3 = "Dissatisfied"
                5 = "No opinion"
                7 = "Not asked"
                9 = "Not stated";
/* F49_C1F format applies to: F49_C1  */
VALUE F49_C1F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F49_C2F format applies to: F49_C2  */
VALUE F49_C2F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F49_C3F format applies to: F49_C3  */
VALUE F49_C3F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F49_C4F format applies to: F49_C4  */
VALUE F49_C4F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F49_C5F format applies to: F49_C5  */
VALUE F49_C5F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F49_C6F format applies to: F49_C6  */
VALUE F49_C6F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F49_C7F format applies to: F49_C7  */
VALUE F49_C7F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* F49_C8F format applies to: F49_C8  */
VALUE F49_C8F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* ACMPRWEC format applies to: ACMPRWEC  */
VALUE ACMPRWEC
                1 = "Working id work)"
                2 = "Looking aid work"
                3 = "Going to school"
                4 = "Householor child"
                5 = "Retired"
                6 = "Other (iillness)"
                7 = "Not asked"
                9 = "Not stated";
/* G3F format applies to: G3  */
VALUE G3F
                1 = "Full-time"
                2 = "Part-time"
                7 = "Not asked"
                9 = "Not stated";
/* WKWEPR format applies to: WKWEPR  */
VALUE WKWEPR
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* WKWEHRPR format applies to: WKWEHRPR  */
VALUE WKWEHRPR
                999.7 = "Not asked"
                999.8 = "Don't know"
                999.9 = "Not stated";
/* WKDYPR format applies to: WKDYPR  */
VALUE WKDYPR
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* G7F format applies to: G7  */
VALUE G7F
                1 = "Regular hours"
                2 = "Split shift"
                3 = "Neither"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* G8ST format applies to: G8ST  */
VALUE G8ST
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* G8EN format applies to: G8EN  */
VALUE G8EN
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* G9ST format applies to: G9ST  */
VALUE G9ST
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* G9EN format applies to: G9EN  */
VALUE G9EN
                9997 = "Not asked"
                9998 = "Don't know"
                9999 = "Not stated";
/* WKDYHRPR format applies to: WKDYHRPR  */
VALUE WKDYHRPR
                99.7 = "Not asked"
                99.8 = "Don't know"
                99.9 = "Not stated";
/* G10F format applies to: G10  */
VALUE G10F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* G10A format applies to: G10A  */
VALUE G10A
                99.7 = "Not asked"
                99.8 = "Don't know"
                99.9 = "Not stated";
/* G11F format applies to: G11  */
VALUE G11F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* G11A format applies to: G11A  */
VALUE G11A
                99.7 = "Not asked"
                99.8 = "Don't know"
                99.9 = "Not stated";
/* G12F format applies to: G12  */
VALUE G12F
                99.7 = "Not asked"
                99.8 = "Don't know"
                99.9 = "Not stated";
/* EDUPR10F format applies to: EDUPR10  */
VALUE EDUPR10F
                01 = "Doctoratgraduate"
                02 = "Bachelors degree"
                03 = "Diploma/ college"
                04 = "Diploma/echnical"
                05 = "Some university"
                06 = "Some com/nursing"
                07 = "Some traechnical"
                08 = "High sch diploma"
                09 = "Some sech school"
                10 = "Elementachooling"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* H1F format applies to: H1  */
VALUE H1F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H1A format applies to: H1A  */
VALUE H1A
                1 = "Daily"
                2 = "At leasts a week"
                3 = "At least a month"
                4 = "Less tha a month"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H2F format applies to: H2  */
VALUE H2F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H2A format applies to: H2A  */
VALUE H2A
                1 = "At leaste a week"
                2 = "At least a month"
                3 = "5 or morry month"
                4 = "1 to 4 ts a year"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H3F format applies to: H3  */
VALUE H3F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H3A format applies to: H3A  */
VALUE H3A
                1 = "At leastk a week"
                2 = "At least a month"
                3 = "At leaste months"
                4 = "At leastx months"
                5 = "At leastk a year"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H5F format applies to: H5  */
VALUE H5F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H5A format applies to: H5A  */
VALUE H5A
                1 = "1 to 4 ts a year"
                2 = "5 or morry month"
                3 = "At leastry month"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H5B_C1F format applies to: H5B_C1  */
VALUE H5B_C1F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* H5B_C2F format applies to: H5B_C2  */
VALUE H5B_C2F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* H5B_C3F format applies to: H5B_C3  */
VALUE H5B_C3F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* H5B_C4F format applies to: H5B_C4  */
VALUE H5B_C4F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* H5B_C5F format applies to: H5B_C5  */
VALUE H5B_C5F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* H6F format applies to: H6  */
VALUE H6F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H6A format applies to: H6A  */
VALUE H6A
                1 = "1 to 4 ts a year"
                2 = "5 or morry month"
                3 = "At leastry month"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H7F format applies to: H7  */
VALUE H7F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H7A format applies to: H7A  */
VALUE H7A
                1 = "At leaste a week"
                2 = "At least a month"
                3 = "5 or morry month"
                4 = "1 to 4 ts a year"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H8F format applies to: H8  */
VALUE H8F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H8A format applies to: H8A  */
VALUE H8A
                1 = "Daily"
                2 = "At leaste a week"
                3 = "At least a month"
                4 = "Less tha a month"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H9F format applies to: H9  */
VALUE H9F
                00.00 = "None at all"
                99.98 = "Don't know"
                99.99 = "Not stated";
/* H10F format applies to: H10  */
VALUE H10F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H10A format applies to: H10A  */
VALUE H10A
                99.97 = "Not asked"
                99.98 = "Don't know"
                99.99 = "Not stated";
/* H11A format applies to: H11A  */
VALUE H11A
                00.00 = "None at all"
                99.98 = "Don't know"
                99.99 = "Not stated";
/* H11B format applies to: H11B  */
VALUE H11B
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H11C format applies to: H11C  */
VALUE H11C
                99.97 = "Not asked"
                99.98 = "Don't know"
                99.99 = "Not stated";
/* H12F format applies to: H12  */
VALUE H12F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H12A format applies to: H12A  */
VALUE H12A
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Dont know"
                9 = "Not stated";
/* H12B format applies to: H12B  */
VALUE H12B
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Dont know"
                9 = "Not stated";
/* H12C format applies to: H12C  */
VALUE H12C
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H12D format applies to: H12D  */
VALUE H12D
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Dont know"
                9 = "Not stated";
/* H12E format applies to: H12E  */
VALUE H12E
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H12F format applies to: H12F  */
VALUE H12F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Dont know"
                9 = "Not stated";
/* H12G format applies to: H12G  */
VALUE H12G
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Dont know"
                9 = "Not stated";
/* H12H format applies to: H12H  */
VALUE H12H
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H13F format applies to: H13  */
VALUE H13F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H14F format applies to: H14  */
VALUE H14F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Dont know"
                9 = "Not stated";
/* H14A format applies to: H14A  */
VALUE H14A
                1 = "1 to 4 ts a year"
                2 = "5 or morry month"
                3 = "At leastry month"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H18F format applies to: H18  */
VALUE H18F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H18A format applies to: H18A  */
VALUE H18A
                1 = "1 to 4 ts a year"
                2 = "5 or morry month"
                3 = "At leastry month"
                7 = "Not asked"
                8 = "Dont know"
                9 = "Not stated";
/* H19F format applies to: H19  */
VALUE H19F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Dont know"
                9 = "Not stated";
/* H19A format applies to: H19A  */
VALUE H19A
                1 = "1 to 4 ts a year"
                2 = "5 or morry month"
                3 = "At leastry month"
                7 = "Not asked"
                8 = "Dont know"
                9 = "Not stated";
/* H20F format applies to: H20  */
VALUE H20F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H20A format applies to: H20A  */
VALUE H20A
                1 = "1 to 4 ts a year"
                2 = "5 or morry month"
                3 = "At leastry month"
                7 = "Not asked"
                8 = "Dont know"
                9 = "Not stated";
/* H21F format applies to: H21  */
VALUE H21F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H21A format applies to: H21A  */
VALUE H21A
                1 = "1 to 4 ts a year"
                2 = "5 or morry month"
                3 = "At leastry month"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H22F format applies to: H22  */
VALUE H22F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H22A format applies to: H22A  */
VALUE H22A
                1 = "1 to 4 ts a year"
                2 = "5 or morry month"
                3 = "At leastry month"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H23F format applies to: H23  */
VALUE H23F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H23A format applies to: H23A  */
VALUE H23A
                1 = "1 to 4 ts a year"
                2 = "5 or morry month"
                3 = "At leastry month"
                7 = "Not asked"
                8 = "Dont know"
                9 = "Not stated";
/* H24F format applies to: H24  */
VALUE H24F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H24A format applies to: H24A  */
VALUE H24A
                1 = "1 to 4 ts a year"
                2 = "5 or more times"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H25F format applies to: H25  */
VALUE H25F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H25A format applies to: H25A  */
VALUE H25A
                1 = "1 to 4 ts a year"
                2 = "5 or more times"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H26F format applies to: H26  */
VALUE H26F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H26A format applies to: H26A  */
VALUE H26A
                1 = "1 to 4 ts a year"
                2 = "5 or more times"
                7 = "Not asked"
                8 = "Dont know"
                9 = "Not stated";
/* H27F format applies to: H27  */
VALUE H27F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H28F format applies to: H28  */
VALUE H28F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H28A format applies to: H28A  */
VALUE H28A
                1 = "1 to 4 ts a year"
                2 = "5 or morry month"
                3 = "At leastry month"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H29F format applies to: H29  */
VALUE H29F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H29A format applies to: H29A  */
VALUE H29A
                1 = "1 to 4 ts a year"
                2 = "5 or morry month"
                3 = "At leastry month"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H30F format applies to: H30  */
VALUE H30F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H30A format applies to: H30A  */
VALUE H30A
                1 = "1 to 4 ts a year"
                2 = "5 or morry month"
                3 = "At leastry month"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H31F format applies to: H31  */
VALUE H31F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H31A format applies to: H31A  */
VALUE H31A
                1 = "1 to 4 ts a year"
                2 = "5 or morry month"
                3 = "At leastry month"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H32F format applies to: H32  */
VALUE H32F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H32A format applies to: H32A  */
VALUE H32A
                1 = "1 to 4 ts a year"
                2 = "5 or more times"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H33F format applies to: H33  */
VALUE H33F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H33A format applies to: H33A  */
VALUE H33A
                1 = "1 to 4 ts a year"
                2 = "5 or more times"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H34F format applies to: H34  */
VALUE H34F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H34A format applies to: H34A  */
VALUE H34A
                1 = "1 to 4 ts a year"
                2 = "5 or more times"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* H35A format applies to: H35A  */
VALUE H35A
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H35B format applies to: H35B  */
VALUE H35B
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H35C format applies to: H35C  */
VALUE H35C
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H35D format applies to: H35D  */
VALUE H35D
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H35E format applies to: H35E  */
VALUE H35E
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H35F format applies to: H35F  */
VALUE H35F
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H35G format applies to: H35G  */
VALUE H35G
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* H35H format applies to: H35H  */
VALUE H35H
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* J1F format applies to: J1  */
VALUE J1F
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* J2JSP02F format applies to: J2J4SP02  */
VALUE J2JSP02F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP02F format applies to: J2ASP02  */
VALUE J2ASP02F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP03F format applies to: J2J4SP03  */
VALUE J2JSP03F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP03F format applies to: J2ASP03  */
VALUE J2ASP03F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP04F format applies to: J2J4SP04  */
VALUE J2JSP04F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP04F format applies to: J2ASP04  */
VALUE J2ASP04F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP10F format applies to: J2J4SP10  */
VALUE J2JSP10F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP10F format applies to: J2ASP10  */
VALUE J2ASP10F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP14F format applies to: J2J4SP14  */
VALUE J2JSP14F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP14F format applies to: J2ASP14  */
VALUE J2ASP14F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP15F format applies to: J2J4SP15  */
VALUE J2JSP15F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP15F format applies to: J2ASP15  */
VALUE J2ASP15F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP20F format applies to: J2J4SP20  */
VALUE J2JSP20F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP20F format applies to: J2ASP20  */
VALUE J2ASP20F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP23F format applies to: J2J4SP23  */
VALUE J2JSP23F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP23F format applies to: J2ASP23  */
VALUE J2ASP23F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP28F format applies to: J2J4SP28  */
VALUE J2JSP28F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP28F format applies to: J2ASP28  */
VALUE J2ASP28F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP29F format applies to: J2J4SP29  */
VALUE J2JSP29F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP29F format applies to: J2ASP29  */
VALUE J2ASP29F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP31F format applies to: J2J4SP31  */
VALUE J2JSP31F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP31F format applies to: J2ASP31  */
VALUE J2ASP31F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP33F format applies to: J2J4SP33  */
VALUE J2JSP33F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP33F format applies to: J2ASP33  */
VALUE J2ASP33F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP34F format applies to: J2J4SP34  */
VALUE J2JSP34F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP34F format applies to: J2ASP34  */
VALUE J2ASP34F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP35F format applies to: J2J4SP35  */
VALUE J2JSP35F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP35F format applies to: J2ASP35  */
VALUE J2ASP35F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP36F format applies to: J2J4SP36  */
VALUE J2JSP36F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP36F format applies to: J2ASP36  */
VALUE J2ASP36F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP37F format applies to: J2J4SP37  */
VALUE J2JSP37F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP37F format applies to: J2ASP37  */
VALUE J2ASP37F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP39F format applies to: J2J4SP39  */
VALUE J2JSP39F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP39F format applies to: J2ASP39  */
VALUE J2ASP39F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP42F format applies to: J2J4SP42  */
VALUE J2JSP42F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP42F format applies to: J2ASP42  */
VALUE J2ASP42F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP44F format applies to: J2J4SP44  */
VALUE J2JSP44F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP44F format applies to: J2ASP44  */
VALUE J2ASP44F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP47F format applies to: J2J4SP47  */
VALUE J2JSP47F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP47F format applies to: J2ASP47  */
VALUE J2ASP47F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP48F format applies to: J2J4SP48  */
VALUE J2JSP48F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP48F format applies to: J2ASP48  */
VALUE J2ASP48F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP52F format applies to: J2J4SP52  */
VALUE J2JSP52F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP52F format applies to: J2ASP52  */
VALUE J2ASP52F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP55F format applies to: J2J4SP55  */
VALUE J2JSP55F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP55F format applies to: J2ASP55  */
VALUE J2ASP55F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP57F format applies to: J2J4SP57  */
VALUE J2JSP57F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP57F format applies to: J2ASP57  */
VALUE J2ASP57F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP65F format applies to: J2J4SP65  */
VALUE J2JSP65F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP65F format applies to: J2ASP65  */
VALUE J2ASP65F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP71F format applies to: J2J4SP71  */
VALUE J2JSP71F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP71F format applies to: J2ASP71  */
VALUE J2ASP71F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP74F format applies to: J2J4SP74  */
VALUE J2JSP74F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP74F format applies to: J2ASP74  */
VALUE J2ASP74F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP77F format applies to: J2J4SP77  */
VALUE J2JSP77F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP77F format applies to: J2ASP77  */
VALUE J2ASP77F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* J2JSP00F format applies to: J2J4SP00  */
VALUE J2JSP00F
                1 = "Competitive"
                2 = "Non competitive"
                7 = "Not asked"
                9 = "Not stated";
/* J2ASP00F format applies to: J2ASP00  */
VALUE J2ASP00F
                1 = "2-3/month"
                2 = "1-2/week"
                3 = "3+/week"
                7 = "Not asked"
                9 = "Not stated";
/* SP0079F format applies to: SP0079  */
VALUE SP0079F
                1 = "One sport"
                2 = "Two sports"
                3 = "Three sports"
                4 = "Four sports"
                5 = "Five sports"
                7 = "Not asked"
                9 = "Not stated";
/* SP0179F format applies to: SP0179  */
VALUE SP0179F
                0 = "Sports fr others"
                1 = "One sport"
                2 = "Two sports"
                3 = "Three sports"
                4 = "Four sports"
                5 = "Five sports"
                7 = "Not asked"
                9 = "Not stated";
/* J3F format applies to: J3  */
VALUE J3F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* J4NB format applies to: J4NB  */
VALUE J4NB
                0 = "No sport"
                1 = "One sport"
                2 = "Two sports"
                3 = "Three sports"
                4 = "Four sports"
                5 = "Five sports"
                7 = "Not asked"
                9 = "Not stated";
/* J5A format applies to: J5A  */
VALUE J5A
                1 = "Very important"
                2 = "Somewhatmportant"
                3 = "Not important"
                7 = "Not asked"
                9 = "Not stated";
/* J5B format applies to: J5B  */
VALUE J5B
                1 = "Very important"
                2 = "Somewhatmportant"
                3 = "Not important"
                7 = "Not asked"
                9 = "Not stated";
/* J5C format applies to: J5C  */
VALUE J5C
                1 = "Very important"
                2 = "Somewhatmportant"
                3 = "Not important"
                7 = "Not asked"
                9 = "Not stated";
/* J5D format applies to: J5D  */
VALUE J5D
                1 = "Very important"
                2 = "Somewhatmportant"
                3 = "Not important"
                7 = "Not asked"
                9 = "Not stated";
/* J5E format applies to: J5E  */
VALUE J5E
                1 = "Very important"
                2 = "Somewhatmportant"
                3 = "Not important"
                7 = "Not asked"
                9 = "Not stated";
/* J6_C01F format applies to: J6_C01  */
VALUE J6_C01F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* J6_C02F format applies to: J6_C02  */
VALUE J6_C02F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* J6_C03F format applies to: J6_C03  */
VALUE J6_C03F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* J6_C04F format applies to: J6_C04  */
VALUE J6_C04F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* J6_C05F format applies to: J6_C05  */
VALUE J6_C05F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* J6_C06F format applies to: J6_C06  */
VALUE J6_C06F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* J6_C07F format applies to: J6_C07  */
VALUE J6_C07F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* J6_C08F format applies to: J6_C08  */
VALUE J6_C08F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* J6_C09F format applies to: J6_C09  */
VALUE J6_C09F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* J6_C10F format applies to: J6_C10  */
VALUE J6_C10F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* J6_C11F format applies to: J6_C11  */
VALUE J6_C11F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* J7F format applies to: J7  */
VALUE J7F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* J8MEMT format applies to: J8MEMT  */
VALUE J8MEMT
                1 = "One member"
                2 = "Two members"
                3 = "Three members"
                4 = "Four members"
                7 = "Not asked"
                9 = "Not stated";
/* J8MEMA format applies to: J8MEMA  */
VALUE J8MEMA
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J8AGRA format applies to: J8AGRA  */
VALUE J8AGRA
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J8COMA format applies to: J8COMA  */
VALUE J8COMA
                01 = "One sporn common"
                02 = "Two sporn common"
                03 = "Three spn common"
                04 = "Four spon common"
                05 = "No sportn common"
                06 = "Only codn common"
                96 = "Not askespondent"
                97 = "Not asked"
                99 = "Not stated";
/* J8MEMB format applies to: J8MEMB  */
VALUE J8MEMB
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J8AGRB format applies to: J8AGRB  */
VALUE J8AGRB
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J8COMB format applies to: J8COMB  */
VALUE J8COMB
                01 = "One sporn common"
                02 = "Two sporn common"
                03 = "Three spn common"
                04 = "Four spon common"
                05 = "No sportn common"
                06 = "Only codn common"
                96 = "Not askespondent"
                97 = "Not asked"
                99 = "Not stated";
/* J8MEMC format applies to: J8MEMC  */
VALUE J8MEMC
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J8AGRC format applies to: J8AGRC  */
VALUE J8AGRC
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J8COMC format applies to: J8COMC  */
VALUE J8COMC
                01 = "One sporn common"
                02 = "Two sporn common"
                03 = "Three spn common"
                04 = "Four spon common"
                05 = "No sportn common"
                06 = "Only codn common"
                96 = "Not askespondent"
                97 = "Not asked"
                99 = "Not stated";
/* J8MEMD format applies to: J8MEMD  */
VALUE J8MEMD
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J8AGRD format applies to: J8AGRD  */
VALUE J8AGRD
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J8COMD format applies to: J8COMD  */
VALUE J8COMD
                01 = "One sporn common"
                02 = "Two sporn common"
                03 = "Three spn common"
                04 = "Four spon common"
                05 = "No sportn common"
                06 = "Only codn common"
                96 = "Not askespondent"
                97 = "Not asked"
                99 = "Not stated";
/* J9J15F format applies to: J9J15  */
VALUE J9J15F
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* MEMBER format applies to: MEMBER  */
VALUE MEMBER
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* J10AMEMA format applies to: J10AMEMA  */
VALUE J10AMEMA
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J10AGRA format applies to: J10AGRA  */
VALUE J10AGRA
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J10AMEMB format applies to: J10AMEMB  */
VALUE J10AMEMB
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J10AGRB format applies to: J10AGRB  */
VALUE J10AGRB
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J10AMEMC format applies to: J10AMEMC  */
VALUE J10AMEMC
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J10AGRC format applies to: J10AGRC  */
VALUE J10AGRC
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J10AMEMD format applies to: J10AMEMD  */
VALUE J10AMEMD
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J10AGRD format applies to: J10AGRD  */
VALUE J10AGRD
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J11J16A format applies to: J11J16A  */
VALUE J11J16A
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* COACH format applies to: COACH  */
VALUE COACH
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* J11AMEMA format applies to: J11AMEMA  */
VALUE J11AMEMA
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J11AGRA format applies to: J11AGRA  */
VALUE J11AGRA
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J11AMEMB format applies to: J11AMEMB  */
VALUE J11AMEMB
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J11AGRB format applies to: J11AGRB  */
VALUE J11AGRB
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J11AMEMC format applies to: J11AMEMC  */
VALUE J11AMEMC
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J11AGRC format applies to: J11AGRC  */
VALUE J11AGRC
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J11AMEMD format applies to: J11AMEMD  */
VALUE J11AMEMD
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J11AGRD format applies to: J11AGRD  */
VALUE J11AGRD
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J12J16B format applies to: J12J16B  */
VALUE J12J16B
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* REFEREE format applies to: REFEREE  */
VALUE REFEREE
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* J12AMEMA format applies to: J12AMEMA  */
VALUE J12AMEMA
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J12AGRA format applies to: J12AGRA  */
VALUE J12AGRA
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J12AMEMB format applies to: J12AMEMB  */
VALUE J12AMEMB
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J12AGRB format applies to: J12AGRB  */
VALUE J12AGRB
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J12AMEMC format applies to: J12AMEMC  */
VALUE J12AMEMC
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J12AGRC format applies to: J12AGRC  */
VALUE J12AGRC
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J12AMEMD format applies to: J12AMEMD  */
VALUE J12AMEMD
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J12AGRD format applies to: J12AGRD  */
VALUE J12AGRD
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J13J16C format applies to: J13J16C  */
VALUE J13J16C
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* ADMIN format applies to: ADMIN  */
VALUE ADMIN
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* J13AMEMA format applies to: J13AMEMA  */
VALUE J13AMEMA
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J13AGRA format applies to: J13AGRA  */
VALUE J13AGRA
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J13AMEMB format applies to: J13AMEMB  */
VALUE J13AMEMB
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J13AGRB format applies to: J13AGRB  */
VALUE J13AGRB
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J13AMEMC format applies to: J13AMEMC  */
VALUE J13AMEMC
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J13AGRC format applies to: J13AGRC  */
VALUE J13AGRC
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J13AMEMD format applies to: J13AMEMD  */
VALUE J13AMEMD
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J13AGRD format applies to: J13AGRD  */
VALUE J13AGRD
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J14J16D format applies to: J14J16D  */
VALUE J14J16D
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* SPECTAT format applies to: SPECTAT  */
VALUE SPECTAT
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* J14AMEMA format applies to: J14AMEMA  */
VALUE J14AMEMA
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J14AGRA format applies to: J14AGRA  */
VALUE J14AGRA
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J14AMEMB format applies to: J14AMEMB  */
VALUE J14AMEMB
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J14AGRB format applies to: J14AGRB  */
VALUE J14AGRB
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J14AMEMC format applies to: J14AMEMC  */
VALUE J14AMEMC
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J14AGRC format applies to: J14AGRC  */
VALUE J14AGRC
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* J14AMEMD format applies to: J14AMEMD  */
VALUE J14AMEMD
                01 = "Spouse/partner"
                02 = "Daughter"
                03 = "Son"
                04 = "Mother"
                05 = "Father"
                06 = "Sibling"
                07 = "Other relative"
                08 = "Non housd member"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* J14AGRD format applies to: J14AGRD  */
VALUE J14AGRD
                1 = "Between  4 years"
                2 = "Between 12 years"
                3 = "Between 18 years"
                4 = "Between 24 years"
                5 = "25 years or more"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* K2F format applies to: K2  */
VALUE K2F
                1 = ""1"= Diseat deal"
                2 = ""2" on scale"
                3 = ""3" on scale"
                4 = ""4" on scale"
                5 = ""5"= Enjeat deal"
                6 = "Activityspondent"
                9 = "Not stated";
/* K3F format applies to: K3  */
VALUE K3F
                1 = ""1"= Diseat deal"
                2 = ""2" on scale"
                3 = ""3" on scale"
                4 = ""4" on scale"
                5 = ""5"= Enjeat deal"
                6 = "Activityspondent"
                9 = "Not stated";
/* K4F format applies to: K4  */
VALUE K4F
                1 = ""1"= Diseat deal"
                2 = ""2" on scale"
                3 = ""3" on scale"
                4 = ""4" on scale"
                5 = ""5"= Enjeat deal"
                6 = "Activityspondent"
                9 = "Not stated";
/* K5F format applies to: K5  */
VALUE K5F
                1 = ""1"= Diseat deal"
                2 = ""2" on scale"
                3 = ""3" on scale"
                4 = ""4" on scale"
                5 = ""5"= Enjeat deal"
                6 = "Activityspondent"
                9 = "Not stated";
/* K6F format applies to: K6  */
VALUE K6F
                1 = ""1"= Diseat deal"
                2 = ""2" on scale"
                3 = ""3" on scale"
                4 = ""4" on scale"
                5 = ""5"= Enjeat deal"
                6 = "Activityspondent"
                9 = "Not stated";
/* K7F format applies to: K7  */
VALUE K7F
                1 = ""1"= Diseat deal"
                2 = ""2" on scale"
                3 = ""3" on scale"
                4 = ""4" on scale"
                5 = ""5"= Enjeat deal"
                6 = "Activityspondent"
                9 = "Not stated";
/* K8F format applies to: K8  */
VALUE K8F
                1 = ""1"= Diseat deal"
                2 = ""2" on scale"
                3 = ""3" on scale"
                4 = ""4" on scale"
                5 = ""5"= Enjeat deal"
                6 = "Activityspondent"
                9 = "Not stated";
/* K9F format applies to: K9  */
VALUE K9F
                1 = ""1"= Diseat deal"
                2 = ""2" on scale"
                3 = ""3" on scale"
                4 = ""4" on scale"
                5 = ""5"= Enjeat deal"
                6 = "Activityspondent"
                9 = "Not stated";
/* K10F format applies to: K10  */
VALUE K10F
                1 = ""1"= Diseat deal"
                2 = ""2" on scale"
                3 = ""3" on scale"
                4 = ""4" on scale"
                5 = ""5"= Enjeat deal"
                6 = "Activityspondent"
                9 = "Not stated";
/* K11F format applies to: K11  */
VALUE K11F
                1 = ""1"= Diseat deal"
                2 = ""2" on scale"
                3 = ""3" on scale"
                4 = ""4" on scale"
                5 = ""5"= Enjeat deal"
                6 = "Activityspondent"
                9 = "Not stated";
/* K12F format applies to: K12  */
VALUE K12F
                1 = ""1"= Diseat deal"
                2 = ""2" on scale"
                3 = ""3" on scale"
                4 = ""4" on scale"
                5 = ""5"= Enjeat deal"
                6 = "Activityspondent"
                9 = "Not stated";
/* K13F format applies to: K13  */
VALUE K13F
                1 = ""1"= Diseat deal"
                2 = ""2" on scale"
                3 = ""3" on scale"
                4 = ""4" on scale"
                5 = ""5"= Enjeat deal"
                6 = "Activityspondent"
                9 = "Not stated";
/* K14F format applies to: K14  */
VALUE K14F
                1 = ""1"= Diseat deal"
                2 = ""2" on scale"
                3 = ""3" on scale"
                4 = ""4" on scale"
                5 = ""5"= Enjeat deal"
                6 = "Activityspondent"
                7 = "Not asked"
                9 = "Not stated";
/* K15F format applies to: K15  */
VALUE K15F
                1 = ""1"= Diseat deal"
                2 = ""2" on scale"
                3 = ""3" on scale"
                4 = ""4" on scale"
                5 = ""5"= Enjeat deal"
                6 = "Activityspondent"
                7 = "Not asked"
                9 = "Not stated";
/* DWELC format applies to: DWELC  */
VALUE DWELC
                1 = "Single-ded house"
                2 = "Low-risestories)"
                3 = "High-risstories)"
                4 = "Other"
                9 = "Not stated";
/* L3C format applies to: L3C  */
VALUE L3C
                1 = "One room"
                2 = "Two rooms"
                3 = "Three rooms"
                4 = "Four rooms"
                5 = "Five rooms"
                6 = "Six or mre rooms"
                9 = "Not stated";
/* DWELOWN format applies to: DWELOWN  */
VALUE DWELOWN
                1 = "Yes"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* L6F format applies to: L6  */
VALUE L6F
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* L7F format applies to: L7  */
VALUE L7F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* L10F format applies to: L10  */
VALUE L10F
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* BRTHCAN format applies to: BRTHCAN  */
VALUE BRTHCAN
                1 = "Canada"
                2 = "Country f Canada"
                8 = "Don't know"
                9 = "Not stated";
/* BRTHREG format applies to: BRTHREG  */
VALUE BRTHREG
                01 = "Provinceesidence"
                02 = "Provinceesidence"
                03 = "Born in t stated"
                04 = "Born out America"
                05 = "South/Ce America"
                06 = "UK and Ireland"
                07 = "Other Europe"
                08 = "Africa"
                09 = "Asia"
                10 = "Oceania /other"
                11 = "Country uncoded"
                98 = "Don't know"
                99 = "Not stated";
/* BRTHPRVC format applies to: BRTHPRVC  */
VALUE BRTHPRVC
                01 = "Newfoundland"
                02 = "Prince Ed Island"
                03 = "Nova Scotia"
                04 = "New Brunswick"
                05 = "Quebec"
                06 = "Ontario"
                07 = "Manitoba"
                08 = "Saskatchewan"
                09 = "Alberta"
                10 = "British Columbia"
                11 = "Country f Canada"
                98 = "Don't know"
                99 = "Not stated";
/* YRARRI format applies to: YRARRI  */
VALUE YRARRI
                01 = "Before 1946"
                02 = "1946 to 1959"
                03 = "1960 to 1964"
                04 = "1965 to 1969"
                05 = "1970 to 1974"
                06 = "1975 to 1979"
                07 = "1980 to 1984"
                08 = "1985 to 1989"
                09 = "1990 to 1994"
                10 = "1995 to 1999"
                97 = "Not asken Canada"
                98 = "Don't know"
                99 = "Not stated";
/* AGEARRIC format applies to: AGEARRIC  */
VALUE AGEARRIC
                01 = "0 to 4"
                02 = "5 ot 9"
                03 = "10 to 14"
                04 = "15 to 19"
                05 = "20 to 24"
                06 = "25 to 29"
                07 = "30 to 34"
                08 = "35 to 39"
                09 = "40 to 44"
                10 = "45 to 49"
                11 = "50 yearsand over"
                97 = "Not asken Canada"
                98 = "Don't know"
                99 = "Not stated";
/* BRTHMCAN format applies to: BRTHMCAN  */
VALUE BRTHMCAN
                1 = "Canada"
                2 = "Country f Canada"
                8 = "Don't know"
                9 = "Not stated";
/* BRTHMREG format applies to: BRTHMREG  */
VALUE BRTHMREG
                03 = "Born in Canada"
                04 = "Born out America"
                05 = "South/Ce America"
                06 = "UK and Ireland"
                07 = "Other Europe"
                08 = "Africa"
                09 = "Asia"
                10 = "Oceania /other"
                11 = "Country ot coded"
                98 = "Don't know"
                99 = "Not stated";
/* BRTHFCAN format applies to: BRTHFCAN  */
VALUE BRTHFCAN
                1 = "Canada"
                2 = "Country f Canada"
                8 = "Don't know"
                9 = "Not stated";
/* BRTHFREG format applies to: BRTHFREG  */
VALUE BRTHFREG
                03 = "Born in Canada"
                04 = "Born out America"
                05 = "South/Ce America"
                06 = "UK and Ireland"
                07 = "Other Europe"
                08 = "Africa"
                09 = "Asia"
                10 = "Oceania /other"
                11 = "Country ot coded"
                98 = "Don't know"
                99 = "Not stated";
/* LANCH format applies to: LANCH  */
VALUE LANCH
                1 = "English only"
                2 = "French only"
                3 = "Other laage only"
                4 = "English  equally"
                5 = "English  equally"
                6 = "French a equally"
                7 = "English, equally"
                8 = "Don't know"
                9 = "Not stated";
/* LANCHSUE format applies to: LANCHSUE  */
VALUE LANCHSUE
                1 = "Yes, Engderstood"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* LANCHSUF format applies to: LANCHSUF  */
VALUE LANCHSUF
                1 = "Yes, Frederstood"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* LANCHSUO format applies to: LANCHSUO  */
VALUE LANCHSUO
                1 = "Yes, Othderstood"
                2 = "No"
                7 = "Not asked"
                8 = "Don't know"
                9 = "Not stated";
/* LANHSD format applies to: LANHSD  */
VALUE LANHSD
                1 = "English only"
                2 = "French only"
                3 = "Other laage only"
                4 = "English  equally"
                5 = "English  equally"
                6 = "French a equally"
                7 = "English, equally"
                8 = "Don't know"
                9 = "Not stated";
/* RELIG6F format applies to: RELIG6  */
VALUE RELIG6F
                1 = "No religion"
                2 = "Roman Catholic"
                3 = "United Church"
                4 = "Protestant"
                5 = "Non-protestant"
                6 = "Other or unknown"
                8 = "Don't know"
                9 = "Not stated";
/* RELIGATT format applies to: RELIGATT  */
VALUE RELIGATT
                1 = "At leaste a week"
                2 = "At least a month"
                3 = "A few tis a year"
                4 = "At leaste a year"
                5 = "Not at all/never"
                7 = "Not asked"
                9 = "Not stated";
/* L21A format applies to: L21A  */
VALUE L21A
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* L21B format applies to: L21B  */
VALUE L21B
                1 = "Yes"
                2 = "No"
                7 = "Not asked"
                9 = "Not stated";
/* L21C format applies to: L21C  */
VALUE L21C
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* L21D format applies to: L21D  */
VALUE L21D
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* L21E format applies to: L21E  */
VALUE L21E
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* L21F format applies to: L21F  */
VALUE L21F
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* L21G format applies to: L21G  */
VALUE L21G
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* L21H format applies to: L21H  */
VALUE L21H
                1 = "Very strong?"
                2 = "Somewhat strong?"
                3 = "Somewhat weak?"
                4 = "Very weak?"
                5 = "No opinion"
                9 = "Not stated";
/* HLTHSTAT format applies to: HLTHSTAT  */
VALUE HLTHSTAT
                1 = "Excellent"
                2 = "Very good"
                3 = "Good"
                4 = "Fair"
                5 = "Poor"
                9 = "Not stated";
/* ACTLIMIT format applies to: ACTLIMIT  */
VALUE ACTLIMIT
                1 = "Yes"
                2 = "No"
                9 = "Not stated";
/* HLTHPR7F format applies to: HLTHPR7  */
VALUE HLTHPR7F
                01 = "Diseasesd senses"
                02 = "Ischaemind other"
                03 = "Other cidiseases"
                04 = "Diseasesy system"
                05 = "Arthritis"
                06 = "Diseasesthe MSCT"
                07 = "Other"
                97 = "Not asked"
                98 = "Don't know"
                99 = "Not stated";
/* SLEEPROB format applies to: SLEEPROB  */
VALUE SLEEPROB
                1 = "Yes, resproblems"
                2 = "No"
                8 = "Don't know"
                9 = "Not stated";
/* L27F format applies to: L27  */
VALUE L27F
                00 = "No income"
                01 = "Employmend tips)"
                02 = "Employmensurance"
                03 = "Worker'sensation"
                04 = "Benefitsion Plan"
                05 = "Retiremennuities"
                06 = "Basic OlSecurity"
                07 = "Guarantellowance"
                08 = "Child Ta Benefit"
                09 = "Provinci welfare"
                10 = "Child Su/Alimony"
                11 = "depositss, etc.)"
                98 = "Don't know"
                99 = "Not stated";
/* INCMMEMC format applies to: INCMMEMC  */
VALUE INCMMEMC
                0 = "No other member"
                1 = "One member"
                2 = "Two member"
                3 = "Three me or more"
                7 = "Not asked"
                8 = "Dont know"
                9 = "Not stated";
/* INCM format applies to: INCM  */
VALUE INCM
                01 = "No income"
                02 = "Less than $5,000"
                03 = "$5,000 to $9,999"
                04 = "$10,000  $14,999"
                05 = "$15,000  $19,999"
                06 = "$20,000  $29,999"
                07 = "$30,000  $39,999"
                08 = "$40,000  $49,999"
                09 = "$50,000  $59,999"
                10 = "$60,000  $79,999"
                11 = "$80,000  $99,999"
                12 = "$100,000 or more"
                98 = "Don't know"
                99 = "Not stated";
/* INCMHSD format applies to: INCMHSD  */
VALUE INCMHSD
                01 = "No income"
                02 = "Less than $5,000"
                03 = "$5,000 to $9,999"
                04 = "$10,000  $14,999"
                05 = "$15,000  $19,999"
                06 = "$20,000  $29,999"
                07 = "$30,000  $39,999"
                08 = "$40,000  $49,999"
                09 = "$50,000  $59,999"
                10 = "$60,000  $79,999"
                11 = "$80,000  $99,999"
                12 = "$100,000 or more"
                98 = "Don't know"
                99 = "Not stated";
run;



DATA DATA1;
  INFILE 'V:\PROD\DATA\12_MONTH\C12MICME.DAT'  LRECL=2185;

  INPUT
@1     RECID                    5.
@6     WGHTFIN                 10.4
@16    SURVMNTH            $CHAR2.
@18    LANINT              $CHAR1.
@19    AGEC                     2.
@21    AGEGR5              $CHAR2.
@23    AGEGR10             $CHAR1.
@24    SEX                 $CHAR1.
@25    MARSTAT             $CHAR1.
@26    AGEPRGR5            $CHAR2.
@28    PRTYPEC             $CHAR1.
@29    CHRFLAG             $CHAR1.
@30    AGECHRYC                 2.
@32    CHR0004C                 1.
@33    CHR0512C                 1.
@34    CHR1314C                 1.
@35    CHR1518C                 1.
@36    CHR1924C                 1.
@37    CHR25UPC                 1.
@38    CHH0004C                 1.
@39    CHH0512C                 1.
@40    CHH1314C                 1.
@41    CHRTIME6            $CHAR1.
@42    PARHSD              $CHAR1.
@43    LIVARR12            $CHAR2.
@45    LIVARR08            $CHAR2.
@47    HSDSIZEC            $CHAR1.
@48    FAMTYPE             $CHAR1.
@49    MULTIGEN            $CHAR1.
@50    PRV                 $CHAR2.
@52    REGION              $CHAR1.
@53    CMAPRV              $CHAR2.
@55    A2                  $CHAR1.
@56    A3                  $CHAR1.
@57    A4                  $CHAR1.
@58    A5                  $CHAR1.
@59    A6                  $CHAR2.
@61    DDAY                $CHAR1.
@62    DIARYDAY            $CHAR4.
@66    DIARYREC            $CHAR1.
@67    DVTDAY              $CHAR1.
@68    DUR001                   4.
@72    DUR002                   4.
@76    DUR011                   4.
@80    DUR012                   4.
@84    DUR021                   4.
@88    DUR022                   4.
@92    DUR023                   4.
@96    DUR030                   4.
@100   DUR040                   4.
@104   DUR050                   4.
@108   DUR060                   4.
@112   DUR070                   4.
@116   DUR080                   4.
@120   DUR090                   4.
@124   DUR101                   4.
@128   DUR102                   4.
@132   DUR110                   4.
@136   DUR120                   4.
@140   DUR130                   4.
@144   DUR140                   4.
@148   DUR151                   4.
@152   DUR152                   4.
@156   DUR161                   4.
@160   DUR162                   4.
@164   DUR163                   4.
@168   DUR164                   4.
@172   DUR171                   4.
@176   DUR172                   4.
@180   DUR173                   4.
@184   DUR181                   4.
@188   DUR182                   4.
@192   DUR183                   4.
@196   DUR184                   4.
@200   DUR185                   4.
@204   DUR186                   4.
@208   DUR190                   4.
@212   DUR200                   4.
@216   DUR211                   4.
@220   DUR212                   4.
@224   DUR213                   4.
@228   DUR220                   4.
@232   DUR230                   4.
@236   DUR240                   4.
@240   DUR250                   4.
@244   DUR260                   4.
@248   DUR271                   4.
@252   DUR272                   4.
@256   DUR281                   4.
@260   DUR282                   4.
@264   DUR291                   4.
@268   DUR292                   4.
@272   DUR301                   4.
@276   DUR302                   4.
@280   DUR303                   4.
@284   DUR304                   4.
@288   DUR310                   4.
@292   DUR320                   4.
@296   DUR331                   4.
@300   DUR332                   4.
@304   DUR340                   4.
@308   DUR350                   4.
@312   DUR361                   4.
@316   DUR362                   4.
@320   DUR380                   4.
@324   DUR390                   4.
@328   DUR400                   4.
@332   DUR410                   4.
@336   DUR411                   4.
@340   DUR430                   4.
@344   DUR431                   4.
@348   DUR440                   4.
@352   DUR450                   4.
@356   DUR460                   4.
@360   DUR470                   4.
@364   DUR480                   4.
@368   DUR491                   4.
@372   DUR492                   4.
@376   DUR500                   4.
@380   DUR511                   4.
@384   DUR512                   4.
@388   DUR520                   4.
@392   DUR530                   4.
@396   DUR540                   4.
@400   DUR550                   4.
@404   DUR560                   4.
@408   DUR580                   4.
@412   DUR590                   4.
@416   DUR600                   4.
@420   DUR610                   4.
@424   DUR620                   4.
@428   DUR630                   4.
@432   DUR640                   4.
@436   DUR642                   4.
@440   DUR651                   4.
@444   DUR652                   4.
@448   DUR660                   4.
@452   DUR661                   4.
@456   DUR671                   4.
@460   DUR672                   4.
@464   DUR673                   4.
@468   DUR674                   4.
@472   DUR675                   4.
@476   DUR676                   4.
@480   DUR677                   4.
@484   DUR678                   4.
@488   DUR680                   4.
@492   DUR691                   4.
@496   DUR692                   4.
@500   DUR701                   4.
@504   DUR702                   4.
@508   DUR711                   4.
@512   DUR712                   4.
@516   DUR713                   4.
@520   DUR720                   4.
@524   DUR730                   4.
@528   DUR741                   4.
@532   DUR742                   4.
@536   DUR743                   4.
@540   DUR751                   4.
@544   DUR752                   4.
@548   DUR753                   4.
@552   DUR754                   4.
@556   DUR760                   4.
@560   DUR770                   4.
@564   DUR780                   4.
@568   DUR791                   4.
@572   DUR792                   4.
@576   DUR793                   4.
@580   DUR800                   4.
@584   DUR801                   4.
@588   DUR802                   4.
@592   DUR803                   4.
@596   DUR804                   4.
@600   DUR805                   4.
@604   DUR806                   4.
@608   DUR807                   4.
@612   DUR808                   4.
@616   DUR809                   4.
@620   DUR810                   4.
@624   DUR811                   4.
@628   DUR812                   4.
@632   DUR813                   4.
@636   DUR814                   4.
@640   DUR815                   4.
@644   DUR816                   4.
@648   DUR821                   4.
@652   DUR822                   4.
@656   DUR831                   4.
@660   DUR832                   4.
@664   DUR841                   4.
@668   DUR842                   4.
@672   DUR850                   4.
@676   DUR861                   4.
@680   DUR862                   4.
@684   DUR863                   4.
@688   DUR864                   4.
@692   DUR871                   4.
@696   DUR872                   4.
@700   DUR873                   4.
@704   DUR880                   4.
@708   DUR891                   4.
@712   DUR892                   4.
@716   DUR893                   4.
@720   DUR894                   4.
@724   DUR900                   4.
@728   DUR911                   4.
@732   DUR912                   4.
@736   DUR913                   4.
@740   DUR914                   4.
@744   DUR920                   4.
@748   DUR931                   4.
@752   DUR932                   4.
@756   DUR940                   4.
@760   DUR950                   4.
@764   DUR961                   4.
@768   DUR962                   4.
@772   DUR980                   4.
@776   DUR990                   4.
@780   DURLOC01                 4.
@784   DURLOC02                 4.
@788   DURLOC03                 4.
@792   DURLOC04                 4.
@796   DURLOC05                 4.
@800   DURLOC06                 4.
@804   DURLOC07                 4.
@808   DURLOC08                 4.
@812   DURLOC09                 4.
@816   DURLOC10                 4.
@820   DURLOC97                 4.
@824   DURLOC98                 4.
@828   DURLOC99                 4.
@832   DURSOC01                 4.
@836   DURSOC02                 4.
@840   DURSOC03                 4.
@844   DURSOC04                 4.
@848   DURSOC05                 4.
@852   DURSOC06                 4.
@856   DURSOC07                 4.
@860   DURSOC08                 4.
@864   DURSOC09                 4.
@868   DURSOC10                 4.
@872   DURSOC11                 4.
@876   DURSOC97                 4.
@880   DURSOC98                 4.
@884   DURSOC99                 4.
@888   DURMEIN                  4.
@892   DURMEOUT                 4.
@896   DURPER                   4.
@900   DURORG                   4.
@904   DURNHLP                  4.
@908   DURNASK                  4.
@912   DURNSTA                  4.
@916   DURP65                   4.
@920   DURPLIM                  4.
@924   DURPPAR                  4.
@928   DURPCH                   4.
@932   DURPFAM                  4.
@936   DURPFRI                  4.
@940   DURPNEI                  4.
@944   DURPCWO                  4.
@948   DURPOTH                  4.
@952   DUROAGED                 4.
@956   DUROCH                   4.
@960   DUROLIM                  4.
@964   DUROOTH                  4.
@968   DVPAID                   4.
@972   DVDOM                    4.
@976   DVCHILDC                 4.
@980   DVSHOP                   4.
@984   DVPERS                   4.
@988   DVEDUCAT                 4.
@992   DVORGAN                  4.
@996   DVENTERT                 4.
@1000  DVSPORT                  4.
@1004  DVMEDIA                  4.
@1008  DVRESID                  4.
@1012  DVTRANS                  4.
@1016  WORKPAID                 4.
@1020  OTHRPAID                 4.
@1024  COOKDOMS                 4.
@1028  HSKPDOMS                 4.
@1032  MAINDOMS                 4.
@1036  OTHRDOMS                 4.
@1040  SHOPDOMS                 4.
@1044  CHLDDOMS                 4.
@1048  VLNTORGN                 4.
@1052  SCHLEDUC                 4.
@1056  MEALPERS                 4.
@1060  OTHRPERS                 4.
@1064  RESTSOCL                 4.
@1068  HOMESOCL                 4.
@1072  OTHRSOCL                 4.
@1076  TELEMDIA                 4.
@1080  READMDIA                 4.
@1084  OTHRMDIA                 4.
@1088  ENTREVNT                 4.
@1092  SPRTACTV                 4.
@1096  OTHRACTV                 4.
@1100  DURCOMWK                 4.
@1104  DURCOMED                 4.
@1108  DURCOMHM                 4.
@1112  DURCOMLS                 4.
@1116  TOTEPISO                 2.
@1118  EPI001                   2.
@1120  EPI002                   2.
@1122  EPI011                   2.
@1124  EPI012                   2.
@1126  EPI021                   2.
@1128  EPI022                   2.
@1130  EPI023                   2.
@1132  EPI030                   2.
@1134  EPI040                   2.
@1136  EPI050                   2.
@1138  EPI060                   2.
@1140  EPI070                   2.
@1142  EPI080                   2.
@1144  EPI090                   2.
@1146  EPI101                   2.
@1148  EPI102                   2.
@1150  EPI110                   2.
@1152  EPI120                   2.
@1154  EPI130                   2.
@1156  EPI140                   2.
@1158  EPI151                   2.
@1160  EPI152                   2.
@1162  EPI161                   2.
@1164  EPI162                   2.
@1166  EPI163                   2.
@1168  EPI164                   2.
@1170  EPI171                   2.
@1172  EPI172                   2.
@1174  EPI173                   2.
@1176  EPI181                   2.
@1178  EPI182                   2.
@1180  EPI183                   2.
@1182  EPI184                   2.
@1184  EPI185                   2.
@1186  EPI186                   2.
@1188  EPI190                   2.
@1190  EPI200                   2.
@1192  EPI211                   2.
@1194  EPI212                   2.
@1196  EPI213                   2.
@1198  EPI220                   2.
@1200  EPI230                   2.
@1202  EPI240                   2.
@1204  EPI250                   2.
@1206  EPI260                   2.
@1208  EPI271                   2.
@1210  EPI272                   2.
@1212  EPI281                   2.
@1214  EPI282                   2.
@1216  EPI291                   2.
@1218  EPI292                   2.
@1220  EPI301                   2.
@1222  EPI302                   2.
@1224  EPI303                   2.
@1226  EPI304                   2.
@1228  EPI310                   2.
@1230  EPI320                   2.
@1232  EPI331                   2.
@1234  EPI332                   2.
@1236  EPI340                   2.
@1238  EPI350                   2.
@1240  EPI361                   2.
@1242  EPI362                   2.
@1244  EPI380                   2.
@1246  EPI390                   2.
@1248  EPI400                   2.
@1250  EPI410                   2.
@1252  EPI411                   2.
@1254  EPI430                   2.
@1256  EPI431                   2.
@1258  EPI440                   2.
@1260  EPI450                   2.
@1262  EPI460                   2.
@1264  EPI470                   2.
@1266  EPI480                   2.
@1268  EPI491                   2.
@1270  EPI492                   2.
@1272  EPI500                   2.
@1274  EPI511                   2.
@1276  EPI512                   2.
@1278  EPI520                   2.
@1280  EPI530                   2.
@1282  EPI540                   2.
@1284  EPI550                   2.
@1286  EPI560                   2.
@1288  EPI580                   2.
@1290  EPI590                   2.
@1292  EPI600                   2.
@1294  EPI610                   2.
@1296  EPI620                   2.
@1298  EPI630                   2.
@1300  EPI640                   2.
@1302  EPI642                   2.
@1304  EPI651                   2.
@1306  EPI652                   2.
@1308  EPI660                   2.
@1310  EPI661                   2.
@1312  EPI671                   2.
@1314  EPI672                   2.
@1316  EPI673                   2.
@1318  EPI674                   2.
@1320  EPI675                   2.
@1322  EPI676                   2.
@1324  EPI677                   2.
@1326  EPI678                   2.
@1328  EPI680                   2.
@1330  EPI691                   2.
@1332  EPI692                   2.
@1334  EPI701                   2.
@1336  EPI702                   2.
@1338  EPI711                   2.
@1340  EPI712                   2.
@1342  EPI713                   2.
@1344  EPI720                   2.
@1346  EPI730                   2.
@1348  EPI741                   2.
@1350  EPI742                   2.
@1352  EPI743                   2.
@1354  EPI751                   2.
@1356  EPI752                   2.
@1358  EPI753                   2.
@1360  EPI754                   2.
@1362  EPI760                   2.
@1364  EPI770                   2.
@1366  EPI780                   2.
@1368  EPI791                   2.
@1370  EPI792                   2.
@1372  EPI793                   2.
@1374  EPI800                   2.
@1376  EPI801                   2.
@1378  EPI802                   2.
@1380  EPI803                   2.
@1382  EPI804                   2.
@1384  EPI805                   2.
@1386  EPI806                   2.
@1388  EPI807                   2.
@1390  EPI808                   2.
@1392  EPI809                   2.
@1394  EPI810                   2.
@1396  EPI811                   2.
@1398  EPI812                   2.
@1400  EPI813                   2.
@1402  EPI814                   2.
@1404  EPI815                   2.
@1406  EPI816                   2.
@1408  EPI821                   2.
@1410  EPI822                   2.
@1412  EPI831                   2.
@1414  EPI832                   2.
@1416  EPI841                   2.
@1418  EPI842                   2.
@1420  EPI850                   2.
@1422  EPI861                   2.
@1424  EPI862                   2.
@1426  EPI863                   2.
@1428  EPI864                   2.
@1430  EPI871                   2.
@1432  EPI872                   2.
@1434  EPI873                   2.
@1436  EPI880                   2.
@1438  EPI891                   2.
@1440  EPI892                   2.
@1442  EPI893                   2.
@1444  EPI894                   2.
@1446  EPI900                   2.
@1448  EPI911                   2.
@1450  EPI912                   2.
@1452  EPI913                   2.
@1454  EPI914                   2.
@1456  EPI920                   2.
@1458  EPI931                   2.
@1460  EPI932                   2.
@1462  EPI940                   2.
@1464  EPI950                   2.
@1466  EPI961                   2.
@1468  EPI962                   2.
@1470  EPI980                   2.
@1472  EPI990                   2.
@1474  SLEEP1S             $CHAR4.
@1478  SLEEP1D                  4.
@1482  SLEEP2E             $CHAR4.
@1486  SLEEP2D                  4.
@1490  ENJOYAC             $CHAR3.
@1493  ENJOYDU                  4.
@1497  ENJOYLO             $CHAR2.
@1499  ENJOYS01            $CHAR1.
@1500  ENJOYS02            $CHAR1.
@1501  ENJOYS03            $CHAR1.
@1502  ENJOYS04            $CHAR1.
@1503  ENJOYS05            $CHAR1.
@1504  ENJOYS06            $CHAR1.
@1505  ENJOYS07            $CHAR1.
@1506  ENJOYS08            $CHAR1.
@1507  ENJOYS09            $CHAR1.
@1508  ENJOYS10            $CHAR1.
@1509  ENJOYS11            $CHAR1.
@1510  C4                  $CHAR4.
@1514  C5                  $CHAR4.
@1518  C4C5                $CHAR4.
@1522  C6EPI01             $CHAR4.
@1526  C6EPIE01            $CHAR4.
@1530  C6EPI02             $CHAR4.
@1534  C6EPIE02            $CHAR4.
@1538  C6EPI03             $CHAR4.
@1542  C6EPIE03            $CHAR4.
@1546  C6EPI04             $CHAR4.
@1550  C6EPIE04            $CHAR4.
@1554  C6EPI05             $CHAR4.
@1558  C6EPIE05            $CHAR4.
@1562  C6EPI06             $CHAR4.
@1566  C6EPIE06            $CHAR4.
@1570  C6EPI07             $CHAR4.
@1574  C6EPIE07            $CHAR4.
@1578  C6EPI08             $CHAR4.
@1582  C6EPIE08            $CHAR4.
@1586  C6EPI09             $CHAR4.
@1590  C6EPIE09            $CHAR4.
@1594  C6EPI10             $CHAR4.
@1598  C6EPIE10            $CHAR4.
@1602  C6DUR                    4.
@1606  D2A                 $CHAR1.
@1607  D2B                 $CHAR1.
@1608  D2C                 $CHAR1.
@1609  D2D                 $CHAR1.
@1610  D2E                 $CHAR1.
@1611  D2F                 $CHAR1.
@1612  D2G                 $CHAR1.
@1613  D2H                 $CHAR1.
@1614  D2I                 $CHAR1.
@1615  D2J                 $CHAR1.
@1616  TIMECR              $CHAR2.
@1618  TIMENS              $CHAR2.
@1620  D3                  $CHAR1.
@1621  D4                  $CHAR2.
@1623  D5                  $CHAR1.
@1624  D6A                 $CHAR1.
@1625  D6B                 $CHAR1.
@1626  D6C                 $CHAR1.
@1627  D6D                 $CHAR1.
@1628  D6E                 $CHAR1.
@1629  D7                  $CHAR1.
@1630  UNWKCHHD                 6.2
@1636  UNWKHSDD                 5.2
@1641  UNWKSEND                 5.2
@1646  E8                  $CHAR1.
@1647  E9                  $CHAR1.
@1648  E11                 $CHAR1.
@1649  E12                 $CHAR1.
@1650  E13                 $CHAR1.
@1651  E14                 $CHAR1.
@1652  E15                 $CHAR1.
@1653  E18                 $CHAR1.
@1654  E19                 $CHAR1.
@1655  E21                 $CHAR1.
@1656  E23                 $CHAR1.
@1657  E24                 $CHAR2.
@1659  ACT7DAYS            $CHAR1.
@1660  F2                  $CHAR1.
@1661  F3                  $CHAR1.
@1662  WKLTWE              $CHAR1.
@1663  F4                  $CHAR1.
@1664  F5                  $CHAR1.
@1665  F6                  $CHAR1.
@1666  AGELTWKC                 2.
@1668  WKWE                     2.
@1670  F13B                $CHAR3.
@1673  F14                 $CHAR1.
@1674  F16                 $CHAR1.
@1675  F17                 $CHAR3.
@1678  SIC80C13            $CHAR2.
@1680  SIC80C18            $CHAR2.
@1682  NAICS16             $CHAR2.
@1684  SOC80C10            $CHAR2.
@1686  SOC91C08            $CHAR2.
@1688  SOC91C10            $CHAR2.
@1690  BLISH12             $CHAR2.
@1692  PINEOC06            $CHAR1.
@1693  F22                 $CHAR1.
@1694  F23                 $CHAR1.
@1695  F24                      5.1
@1700  F25A                     5.1
@1705  F25B                     4.1
@1709  WKWEHR                   5.1
@1714  F26_C1              $CHAR1.
@1715  F26_C2              $CHAR1.
@1716  F26_C3              $CHAR1.
@1717  F26_C4              $CHAR1.
@1718  F26_C5              $CHAR1.
@1719  F26_C6              $CHAR1.
@1720  F26_C7              $CHAR1.
@1721  F26_C8              $CHAR1.
@1722  F26_C9              $CHAR1.
@1723  F26B                $CHAR1.
@1724  F27                 $CHAR2.
@1726  F30                 $CHAR1.
@1727  F31                 $CHAR1.
@1728  F32                 $CHAR2.
@1730  F33                 $CHAR3.
@1733  LFSGSS              $CHAR1.
@1734  LFSHSD12            $CHAR2.
@1736  F35                 $CHAR1.
@1737  F36                 $CHAR2.
@1739  F37A                $CHAR1.
@1740  F37B                $CHAR1.
@1741  F37C                     5.1
@1746  F38                 $CHAR1.
@1747  F38A                     5.1
@1752  F39                 $CHAR1.
@1753  F40_C01             $CHAR1.
@1754  F40_C02             $CHAR1.
@1755  F40_C03             $CHAR1.
@1756  F40_C04             $CHAR1.
@1757  F40_C05             $CHAR1.
@1758  F40_C06             $CHAR1.
@1759  F40_C07             $CHAR1.
@1760  F40_C08             $CHAR1.
@1761  F40_C09             $CHAR1.
@1762  F40_C10             $CHAR1.
@1763  F40_C11             $CHAR1.
@1764  F40_C12             $CHAR1.
@1765  F40_C13             $CHAR1.
@1766  F40_C14             $CHAR1.
@1767  F40_C15             $CHAR1.
@1768  F40_C16             $CHAR1.
@1769  F40_C17             $CHAR1.
@1770  F40_C18             $CHAR1.
@1771  F40_C19             $CHAR1.
@1772  F40_C20             $CHAR1.
@1773  F40_C21             $CHAR1.
@1774  F40_C22             $CHAR1.
@1775  F40_C23             $CHAR1.
@1776  F40_C24             $CHAR1.
@1777  F40_C25             $CHAR1.
@1778  F40_C26             $CHAR1.
@1779  F40_C27             $CHAR1.
@1780  NUMSUBJ             $CHAR1.
@1781  F41_C1              $CHAR1.
@1782  F41_C2              $CHAR1.
@1783  F41_C3              $CHAR1.
@1784  F41_C4              $CHAR1.
@1785  F41_C5              $CHAR1.
@1786  F41_C6              $CHAR1.
@1787  F41_C7              $CHAR1.
@1788  F42                      5.1
@1793  F44                 $CHAR1.
@1794  F45                 $CHAR1.
@1795  EDU10               $CHAR2.
@1797  EDUSTAT             $CHAR1.
@1798  EDUYR               $CHAR2.
@1800  F47                 $CHAR4.
@1804  F48                 $CHAR1.
@1805  F49_C1              $CHAR1.
@1806  F49_C2              $CHAR1.
@1807  F49_C3              $CHAR1.
@1808  F49_C4              $CHAR1.
@1809  F49_C5              $CHAR1.
@1810  F49_C6              $CHAR1.
@1811  F49_C7              $CHAR1.
@1812  F49_C8              $CHAR1.
@1813  ACMPRWEC            $CHAR1.
@1814  G3                  $CHAR1.
@1815  WKWEPR              $CHAR1.
@1816  WKWEHRPR                 5.1
@1821  WKDYPR              $CHAR1.
@1822  G7                  $CHAR1.
@1823  G8ST                $CHAR4.
@1827  G8EN                $CHAR4.
@1831  G9ST                $CHAR4.
@1835  G9EN                $CHAR4.
@1839  WKDYHRPR                 4.1
@1843  G10                 $CHAR1.
@1844  G10A                     4.1
@1848  G11                 $CHAR1.
@1849  G11A                     4.1
@1853  G12                      4.1
@1857  EDUPR10             $CHAR2.
@1859  H1                  $CHAR1.
@1860  H1A                 $CHAR1.
@1861  H2                  $CHAR1.
@1862  H2A                 $CHAR1.
@1863  H3                  $CHAR1.
@1864  H3A                 $CHAR1.
@1865  H5                  $CHAR1.
@1866  H5A                 $CHAR1.
@1867  H5B_C1              $CHAR1.
@1868  H5B_C2              $CHAR1.
@1869  H5B_C3              $CHAR1.
@1870  H5B_C4              $CHAR1.
@1871  H5B_C5              $CHAR1.
@1872  H6                  $CHAR1.
@1873  H6A                 $CHAR1.
@1874  H7                  $CHAR1.
@1875  H7A                 $CHAR1.
@1876  H8                  $CHAR1.
@1877  H8A                 $CHAR1.
@1878  H9                       5.2
@1883  H10                 $CHAR1.
@1884  H10A                     5.2
@1889  H11A                     5.2
@1894  H11B                $CHAR1.
@1895  H11C                     5.2
@1900  H12                 $CHAR1.
@1901  H12A                $CHAR1.
@1902  H12B                $CHAR1.
@1903  H12C                $CHAR1.
@1904  H12D                $CHAR1.
@1905  H12E                $CHAR1.
@1906  H12F                $CHAR1.
@1907  H12G                $CHAR1.
@1908  H12H                $CHAR1.
@1909  H13                 $CHAR1.
@1910  H14                 $CHAR1.
@1911  H14A                $CHAR1.
@1912  H18                 $CHAR1.
@1913  H18A                $CHAR1.
@1914  H19                 $CHAR1.
@1915  H19A                $CHAR1.
@1916  H20                 $CHAR1.
@1917  H20A                $CHAR1.
@1918  H21                 $CHAR1.
@1919  H21A                $CHAR1.
@1920  H22                 $CHAR1.
@1921  H22A                $CHAR1.
@1922  H23                 $CHAR1.
@1923  H23A                $CHAR1.
@1924  H24                 $CHAR1.
@1925  H24A                $CHAR1.
@1926  H25                 $CHAR1.
@1927  H25A                $CHAR1.
@1928  H26                 $CHAR1.
@1929  H26A                $CHAR1.
@1930  H27                 $CHAR1.
@1931  H28                 $CHAR1.
@1932  H28A                $CHAR1.
@1933  H29                 $CHAR1.
@1934  H29A                $CHAR1.
@1935  H30                 $CHAR1.
@1936  H30A                $CHAR1.
@1937  H31                 $CHAR1.
@1938  H31A                $CHAR1.
@1939  H32                 $CHAR1.
@1940  H32A                $CHAR1.
@1941  H33                 $CHAR1.
@1942  H33A                $CHAR1.
@1943  H34                 $CHAR1.
@1944  H34A                $CHAR1.
@1945  H35A                $CHAR1.
@1946  H35B                $CHAR1.
@1947  H35C                $CHAR1.
@1948  H35D                $CHAR1.
@1949  H35E                $CHAR1.
@1950  H35F                $CHAR1.
@1951  H35G                $CHAR1.
@1952  H35H                $CHAR1.
@1953  J1                  $CHAR1.
@1954  J2J4SP02            $CHAR1.
@1955  J2ASP02             $CHAR1.
@1956  J2J4SP03            $CHAR1.
@1957  J2ASP03             $CHAR1.
@1958  J2J4SP04            $CHAR1.
@1959  J2ASP04             $CHAR1.
@1960  J2J4SP10            $CHAR1.
@1961  J2ASP10             $CHAR1.
@1962  J2J4SP14            $CHAR1.
@1963  J2ASP14             $CHAR1.
@1964  J2J4SP15            $CHAR1.
@1965  J2ASP15             $CHAR1.
@1966  J2J4SP20            $CHAR1.
@1967  J2ASP20             $CHAR1.
@1968  J2J4SP23            $CHAR1.
@1969  J2ASP23             $CHAR1.
@1970  J2J4SP28            $CHAR1.
@1971  J2ASP28             $CHAR1.
@1972  J2J4SP29            $CHAR1.
@1973  J2ASP29             $CHAR1.
@1974  J2J4SP31            $CHAR1.
@1975  J2ASP31             $CHAR1.
@1976  J2J4SP33            $CHAR1.
@1977  J2ASP33             $CHAR1.
@1978  J2J4SP34            $CHAR1.
@1979  J2ASP34             $CHAR1.
@1980  J2J4SP35            $CHAR1.
@1981  J2ASP35             $CHAR1.
@1982  J2J4SP36            $CHAR1.
@1983  J2ASP36             $CHAR1.
@1984  J2J4SP37            $CHAR1.
@1985  J2ASP37             $CHAR1.
@1986  J2J4SP39            $CHAR1.
@1987  J2ASP39             $CHAR1.
@1988  J2J4SP42            $CHAR1.
@1989  J2ASP42             $CHAR1.
@1990  J2J4SP44            $CHAR1.
@1991  J2ASP44             $CHAR1.
@1992  J2J4SP47            $CHAR1.
@1993  J2ASP47             $CHAR1.
@1994  J2J4SP48            $CHAR1.
@1995  J2ASP48             $CHAR1.
@1996  J2J4SP52            $CHAR1.
@1997  J2ASP52             $CHAR1.
@1998  J2J4SP55            $CHAR1.
@1999  J2ASP55             $CHAR1.
@2000  J2J4SP57            $CHAR1.
@2001  J2ASP57             $CHAR1.
@2002  J2J4SP65            $CHAR1.
@2003  J2ASP65             $CHAR1.
@2004  J2J4SP71            $CHAR1.
@2005  J2ASP71             $CHAR1.
@2006  J2J4SP74            $CHAR1.
@2007  J2ASP74             $CHAR1.
@2008  J2J4SP77            $CHAR1.
@2009  J2ASP77             $CHAR1.
@2010  J2J4SP00            $CHAR1.
@2011  J2ASP00             $CHAR1.
@2012  SP0079              $CHAR1.
@2013  SP0179              $CHAR1.
@2014  J3                  $CHAR1.
@2015  J4NB                $CHAR1.
@2016  J5A                 $CHAR1.
@2017  J5B                 $CHAR1.
@2018  J5C                 $CHAR1.
@2019  J5D                 $CHAR1.
@2020  J5E                 $CHAR1.
@2021  J6_C01              $CHAR1.
@2022  J6_C02              $CHAR1.
@2023  J6_C03              $CHAR1.
@2024  J6_C04              $CHAR1.
@2025  J6_C05              $CHAR1.
@2026  J6_C06              $CHAR1.
@2027  J6_C07              $CHAR1.
@2028  J6_C08              $CHAR1.
@2029  J6_C09              $CHAR1.
@2030  J6_C10              $CHAR1.
@2031  J6_C11              $CHAR1.
@2032  J7                  $CHAR1.
@2033  J8MEMT              $CHAR1.
@2034  J8MEMA              $CHAR2.
@2036  J8AGRA              $CHAR1.
@2037  J8COMA              $CHAR2.
@2039  J8MEMB              $CHAR2.
@2041  J8AGRB              $CHAR1.
@2042  J8COMB              $CHAR2.
@2044  J8MEMC              $CHAR2.
@2046  J8AGRC              $CHAR1.
@2047  J8COMC              $CHAR2.
@2049  J8MEMD              $CHAR2.
@2051  J8AGRD              $CHAR1.
@2052  J8COMD              $CHAR2.
@2054  J9J15               $CHAR1.
@2055  MEMBER              $CHAR1.
@2056  J10AMEMA            $CHAR2.
@2058  J10AGRA             $CHAR1.
@2059  J10AMEMB            $CHAR2.
@2061  J10AGRB             $CHAR1.
@2062  J10AMEMC            $CHAR2.
@2064  J10AGRC             $CHAR1.
@2065  J10AMEMD            $CHAR2.
@2067  J10AGRD             $CHAR1.
@2068  J11J16A             $CHAR1.
@2069  COACH               $CHAR1.
@2070  J11AMEMA            $CHAR2.
@2072  J11AGRA             $CHAR1.
@2073  J11AMEMB            $CHAR2.
@2075  J11AGRB             $CHAR1.
@2076  J11AMEMC            $CHAR2.
@2078  J11AGRC             $CHAR1.
@2079  J11AMEMD            $CHAR2.
@2081  J11AGRD             $CHAR1.
@2082  J12J16B             $CHAR1.
@2083  REFEREE             $CHAR1.
@2084  J12AMEMA            $CHAR2.
@2086  J12AGRA             $CHAR1.
@2087  J12AMEMB            $CHAR2.
@2089  J12AGRB             $CHAR1.
@2090  J12AMEMC            $CHAR2.
@2092  J12AGRC             $CHAR1.
@2093  J12AMEMD            $CHAR2.
@2095  J12AGRD             $CHAR1.
@2096  J13J16C             $CHAR1.
@2097  ADMIN               $CHAR1.
@2098  J13AMEMA            $CHAR2.
@2100  J13AGRA             $CHAR1.
@2101  J13AMEMB            $CHAR2.
@2103  J13AGRB             $CHAR1.
@2104  J13AMEMC            $CHAR2.
@2106  J13AGRC             $CHAR1.
@2107  J13AMEMD            $CHAR2.
@2109  J13AGRD             $CHAR1.
@2110  J14J16D             $CHAR1.
@2111  SPECTAT             $CHAR1.
@2112  J14AMEMA            $CHAR2.
@2114  J14AGRA             $CHAR1.
@2115  J14AMEMB            $CHAR2.
@2117  J14AGRB             $CHAR1.
@2118  J14AMEMC            $CHAR2.
@2120  J14AGRC             $CHAR1.
@2121  J14AMEMD            $CHAR2.
@2123  J14AGRD             $CHAR1.
@2124  K2                  $CHAR1.
@2125  K3                  $CHAR1.
@2126  K4                  $CHAR1.
@2127  K5                  $CHAR1.
@2128  K6                  $CHAR1.
@2129  K7                  $CHAR1.
@2130  K8                  $CHAR1.
@2131  K9                  $CHAR1.
@2132  K10                 $CHAR1.
@2133  K11                 $CHAR1.
@2134  K12                 $CHAR1.
@2135  K13                 $CHAR1.
@2136  K14                 $CHAR1.
@2137  K15                 $CHAR1.
@2138  DWELC               $CHAR1.
@2139  L3C                 $CHAR1.
@2140  DWELOWN             $CHAR1.
@2141  L6                  $CHAR1.
@2142  L7                  $CHAR1.
@2143  L10                 $CHAR1.
@2144  BRTHCAN             $CHAR1.
@2145  BRTHREG             $CHAR2.
@2147  BRTHPRVC            $CHAR2.
@2149  YRARRI              $CHAR2.
@2151  AGEARRIC            $CHAR2.
@2153  BRTHMCAN            $CHAR1.
@2154  BRTHMREG            $CHAR2.
@2156  BRTHFCAN            $CHAR1.
@2157  BRTHFREG            $CHAR2.
@2159  LANCH               $CHAR1.
@2160  LANCHSUE            $CHAR1.
@2161  LANCHSUF            $CHAR1.
@2162  LANCHSUO            $CHAR1.
@2163  LANHSD              $CHAR1.
@2164  RELIG6              $CHAR1.
@2165  RELIGATT            $CHAR1.
@2166  L21A                $CHAR1.
@2167  L21B                $CHAR1.
@2168  L21C                $CHAR1.
@2169  L21D                $CHAR1.
@2170  L21E                $CHAR1.
@2171  L21F                $CHAR1.
@2172  L21G                $CHAR1.
@2173  L21H                $CHAR1.
@2174  HLTHSTAT            $CHAR1.
@2175  ACTLIMIT            $CHAR1.
@2176  HLTHPR7             $CHAR2.
@2178  SLEEPROB            $CHAR1.
@2179  L27                 $CHAR2.
@2181  INCMMEMC            $CHAR1.
@2182  INCM                $CHAR2.
@2184  INCMHSD             $CHAR2.

;


LABEL RECID  = "Record identification.";
LABEL WGHTFIN  = "Final Person Weight.";
LABEL SURVMNTH  = "Survey month of data collection.";
LABEL LANINT  = "Language of interview.";
LABEL AGEC  = "years of age.";
LABEL AGEGR5  = "Age group of the respondent.";
LABEL AGEGR10  = "Age group of the respondent.";
LABEL SEX  = "Sex of respondent.";
LABEL MARSTAT  = "Marital status of the respondent.";
LABEL AGEPRGR5  = "Age group of respondent's spouse/partner";
LABEL PRTYPEC  = "Type of partner the respondent has withi";
LABEL CHRFLAG  = "Child(ren) of the respondent living in t";
LABEL AGECHRYC  = "years of age";
LABEL CHR0004C  = "Number of respondent's children 0 to 4 y";
LABEL CHR0512C  = "Number of respondent's children 5 to 12 ";
LABEL CHR1314C  = " Number of respondent's children 13 to 1";
LABEL CHR1518C  = " Number of respondent's children 15 to 1";
LABEL CHR1924C  = "Number of respondent's children 19 to 24";
LABEL CHR25UPC  = "Number of respondent's children 25 years";
LABEL CHH0004C  = "Number of children aged from 0 to 4 livi";
LABEL CHH0512C  = "Number of children aged from 5 to 12 liv";
LABEL CHH1314C  = "Number of children aged from 13 to 14 li";
LABEL CHRTIME6  = "Number of respondents children living at";
LABEL PARHSD  = "Type of parents the respondent has withi";
LABEL LIVARR12  = "Living arrangement of respondent's house";
LABEL LIVARR08  = "Living arrangement of respondent's house";
LABEL HSDSIZEC  = " Household size of respondent.";
LABEL FAMTYPE  = "Respondent's type of family structure.";
LABEL MULTIGEN  = "Three-generation family in respondent's ";
LABEL PRV  = "Province of residence of the respondent.";
LABEL REGION  = "Region of residence of the respondent.";
LABEL CMAPRV  = "Census Metropolitan Area (CMA) of the re";
LABEL A2  = "How often do you feel rushed? Would you ";
LABEL A3  = "Compared to five years ago, do you feel ";
LABEL A4  = "How often do you feel you have time on y";
LABEL A5  = "Do you feel that weekdays are just too s";
LABEL A6  = "On which main activity would you choose ";
LABEL DDAY  = "Designated day of interview.";
LABEL DIARYDAY  = "Date of interview.";
LABEL DIARYREC  = "Recall of diary interview.";
LABEL DVTDAY  = "Type of day of interview.";
LABEL DUR001  = "Minutes";
LABEL DUR002  = "Minutes";
LABEL DUR011  = "Minutes";
LABEL DUR012  = "Minutes";
LABEL DUR021  = "Minutes";
LABEL DUR022  = "Minutes";
LABEL DUR023  = "Minutes";
LABEL DUR030  = "Minutes";
LABEL DUR040  = "Minutes";
LABEL DUR050  = "Minutes";
LABEL DUR060  = "Minutes";
LABEL DUR070  = "Minutes";
LABEL DUR080  = "Minutes";
LABEL DUR090  = "Minutes";
LABEL DUR101  = "Minutes";
LABEL DUR102  = "Minutes";
LABEL DUR110  = "Minutes";
LABEL DUR120  = "Minutes";
LABEL DUR130  = "Minutes";
LABEL DUR140  = "Minutes";
LABEL DUR151  = "Minutes";
LABEL DUR152  = "Minutes";
LABEL DUR161  = "Minutes";
LABEL DUR162  = "Minutes";
LABEL DUR163  = "Minutes";
LABEL DUR164  = "Minutes";
LABEL DUR171  = "Minutes";
LABEL DUR172  = "Minutes";
LABEL DUR173  = "Minutes";
LABEL DUR181  = "Minutes";
LABEL DUR182  = "Minutes";
LABEL DUR183  = "Minutes";
LABEL DUR184  = "Minutes";
LABEL DUR185  = "Minutes";
LABEL DUR186  = "Minutes";
LABEL DUR190  = "Minutes";
LABEL DUR200  = "Minutes";
LABEL DUR211  = "Minutes";
LABEL DUR212  = "Minutes";
LABEL DUR213  = "Minutes";
LABEL DUR220  = "Minutes";
LABEL DUR230  = "Minutes";
LABEL DUR240  = "Minutes";
LABEL DUR250  = "Minutes";
LABEL DUR260  = "Minutes";
LABEL DUR271  = "Minutes";
LABEL DUR272  = "Minutes";
LABEL DUR281  = "Minutes";
LABEL DUR282  = "Minutes";
LABEL DUR291  = "Minutes";
LABEL DUR292  = "Minutes";
LABEL DUR301  = "Minutes";
LABEL DUR302  = "Minutes";
LABEL DUR303  = "Minutes";
LABEL DUR304  = "Minutes";
LABEL DUR310  = "Minutes";
LABEL DUR320  = "Minutes";
LABEL DUR331  = "Minutes";
LABEL DUR332  = "Minutes";
LABEL DUR340  = "Minutes";
LABEL DUR350  = "Minutes";
LABEL DUR361  = "Minutes";
LABEL DUR362  = "Minutes";
LABEL DUR380  = "Minutes";
LABEL DUR390  = "Minutes";
LABEL DUR400  = "Minutes";
LABEL DUR410  = "Minutes";
LABEL DUR411  = "Minutes";
LABEL DUR430  = "Minutes";
LABEL DUR431  = "Minutes";
LABEL DUR440  = "Minutes";
LABEL DUR450  = "Minutes";
LABEL DUR460  = "Minutes";
LABEL DUR470  = "Minutes";
LABEL DUR480  = "Minutes";
LABEL DUR491  = "Minutes";
LABEL DUR492  = "Minutes";
LABEL DUR500  = "Minutes";
LABEL DUR511  = "Minutes";
LABEL DUR512  = "Minutes";
LABEL DUR520  = "Minutes";
LABEL DUR530  = "Minutes";
LABEL DUR540  = "Minutes";
LABEL DUR550  = "Minutes";
LABEL DUR560  = "Minutes";
LABEL DUR580  = "Minutes";
LABEL DUR590  = "Minutes";
LABEL DUR600  = "Minutes";
LABEL DUR610  = "Minutes";
LABEL DUR620  = "Minutes";
LABEL DUR630  = "Minutes";
LABEL DUR640  = "Minutes";
LABEL DUR642  = "Minutes";
LABEL DUR651  = "Minutes";
LABEL DUR652  = "Minutes";
LABEL DUR660  = "Minutes";
LABEL DUR661  = "Minutes";
LABEL DUR671  = "Minutes";
LABEL DUR672  = "Minutes";
LABEL DUR673  = "Minutes";
LABEL DUR674  = "Minutes";
LABEL DUR675  = "Minutes";
LABEL DUR676  = "Minutes";
LABEL DUR677  = "Minutes";
LABEL DUR678  = "Minutes";
LABEL DUR680  = "Minutes";
LABEL DUR691  = "Minutes";
LABEL DUR692  = "Minutes";
LABEL DUR701  = "Minutes";
LABEL DUR702  = "Minutes";
LABEL DUR711  = "Minutes";
LABEL DUR712  = "Minutes";
LABEL DUR713  = "Minutes";
LABEL DUR720  = "Minutes";
LABEL DUR730  = "Minutes";
LABEL DUR741  = "Minutes";
LABEL DUR742  = "Minutes";
LABEL DUR743  = "Minutes";
LABEL DUR751  = "Minutes";
LABEL DUR752  = "Minutes";
LABEL DUR753  = "Minutes";
LABEL DUR754  = "Minutes";
LABEL DUR760  = "Minutes";
LABEL DUR770  = "Minutes";
LABEL DUR780  = "Minutes";
LABEL DUR791  = "Minutes";
LABEL DUR792  = "Minutes";
LABEL DUR793  = "Minutes";
LABEL DUR800  = "Minutes";
LABEL DUR801  = "Minutes";
LABEL DUR802  = "Minutes";
LABEL DUR803  = "Minutes";
LABEL DUR804  = "Minutes";
LABEL DUR805  = "Minutes";
LABEL DUR806  = "Minutes";
LABEL DUR807  = "Minutes";
LABEL DUR808  = "Minutes";
LABEL DUR809  = "Minutes";
LABEL DUR810  = "Minutes";
LABEL DUR811  = "Minutes";
LABEL DUR812  = "Minutes";
LABEL DUR813  = "Minutes";
LABEL DUR814  = "Minutes";
LABEL DUR815  = "Minutes";
LABEL DUR816  = "Minutes";
LABEL DUR821  = "Minutes";
LABEL DUR822  = "Minutes";
LABEL DUR831  = "Minutes";
LABEL DUR832  = "Minutes";
LABEL DUR841  = "Minutes";
LABEL DUR842  = "Minutes";
LABEL DUR850  = "Minutes";
LABEL DUR861  = "Minutes";
LABEL DUR862  = "Minutes";
LABEL DUR863  = "Minutes";
LABEL DUR864  = "Minutes";
LABEL DUR871  = "Minutes";
LABEL DUR872  = "Minutes";
LABEL DUR873  = "Minutes";
LABEL DUR880  = "Minutes";
LABEL DUR891  = "Minutes";
LABEL DUR892  = "Minutes";
LABEL DUR893  = "Minutes";
LABEL DUR894  = "Minutes";
LABEL DUR900  = "Minutes";
LABEL DUR911  = "Minutes";
LABEL DUR912  = "Minutes";
LABEL DUR913  = "Minutes";
LABEL DUR914  = "Minutes";
LABEL DUR920  = "Minutes";
LABEL DUR931  = "Minutes";
LABEL DUR932  = "Minutes";
LABEL DUR940  = "Minutes";
LABEL DUR950  = "Minutes";
LABEL DUR961  = "Minutes";
LABEL DUR962  = "Minutes";
LABEL DUR980  = "Minutes";
LABEL DUR990  = "Minutes";
LABEL DURLOC01  = "Minutes";
LABEL DURLOC02  = "Minutes";
LABEL DURLOC03  = "Minutes";
LABEL DURLOC04  = "Minutes";
LABEL DURLOC05  = "Minutes";
LABEL DURLOC06  = "Minutes";
LABEL DURLOC07  = "Minutes";
LABEL DURLOC08  = "Minutes";
LABEL DURLOC09  = "Minutes";
LABEL DURLOC10  = "Minutes";
LABEL DURLOC97  = "Minutes";
LABEL DURLOC98  = "Minutes";
LABEL DURLOC99  = "Minutes";
LABEL DURSOC01  = "Minutes";
LABEL DURSOC02  = "Minutes";
LABEL DURSOC03  = "Minutes";
LABEL DURSOC04  = "Minutes";
LABEL DURSOC05  = "Minutes";
LABEL DURSOC06  = "Minutes";
LABEL DURSOC07  = "Minutes";
LABEL DURSOC08  = "Minutes";
LABEL DURSOC09  = "Minutes";
LABEL DURSOC10  = "Minutes";
LABEL DURSOC11  = "Minutes";
LABEL DURSOC97  = "Minutes";
LABEL DURSOC98  = "Minutes";
LABEL DURSOC99  = "Minutes";
LABEL DURMEIN  = "Minutes";
LABEL DURMEOUT  = "Minutes";
LABEL DURPER  = "Minutes";
LABEL DURORG  = "Minutes";
LABEL DURNHLP  = "Minutes";
LABEL DURNASK  = "Minutes";
LABEL DURNSTA  = "Minutes";
LABEL DURP65  = "Minutes";
LABEL DURPLIM  = "Minutes";
LABEL DURPPAR  = "Minutes";
LABEL DURPCH  = "Minutes";
LABEL DURPFAM  = "Minutes";
LABEL DURPFRI  = "Minutes";
LABEL DURPNEI  = "Minutes";
LABEL DURPCWO  = "Minutes";
LABEL DURPOTH  = "Minutes";
LABEL DUROAGED  = "Minutes";
LABEL DUROCH  = "Minutes";
LABEL DUROLIM  = "Minutes";
LABEL DUROOTH  = "Minutes";
LABEL DVPAID  = "Minutes";
LABEL DVDOM  = "Minutes";
LABEL DVCHILDC  = "Minutes";
LABEL DVSHOP  = "Minutes";
LABEL DVPERS  = "Minutes";
LABEL DVEDUCAT  = "Minutes";
LABEL DVORGAN  = "Minutes";
LABEL DVENTERT  = "Minutes";
LABEL DVSPORT  = "Minutes";
LABEL DVMEDIA  = "Minutes";
LABEL DVRESID  = "Minutes";
LABEL DVTRANS  = "Minutes";
LABEL WORKPAID  = "Minutes";
LABEL OTHRPAID  = "Minutes";
LABEL COOKDOMS  = "Minutes";
LABEL HSKPDOMS  = "Minutes";
LABEL MAINDOMS  = "Minutes";
LABEL OTHRDOMS  = "Minutes";
LABEL SHOPDOMS  = "Minutes";
LABEL CHLDDOMS  = "Minutes";
LABEL VLNTORGN  = "Minutes";
LABEL SCHLEDUC  = "Minutes";
LABEL MEALPERS  = "Minutes";
LABEL OTHRPERS  = "Minutes";
LABEL RESTSOCL  = "Minutes";
LABEL HOMESOCL  = "Minutes";
LABEL OTHRSOCL  = "Minutes";
LABEL TELEMDIA  = "Minutes";
LABEL READMDIA  = "Minutes";
LABEL OTHRMDIA  = "Minutes";
LABEL ENTREVNT  = "Minutes";
LABEL SPRTACTV  = "Minutes";
LABEL OTHRACTV  = "Minutes";
LABEL DURCOMWK  = "Minutes";
LABEL DURCOMED  = "Minutes";
LABEL DURCOMHM  = "Minutes";
LABEL DURCOMLS  = "Minutes";
LABEL TOTEPISO  = "Occurences";
LABEL EPI001  = "Occurences";
LABEL EPI002  = "Occurences";
LABEL EPI011  = "Occurences";
LABEL EPI012  = "Occurences";
LABEL EPI021  = "Occurences";
LABEL EPI022  = "Occurences";
LABEL EPI023  = "Occurences";
LABEL EPI030  = "Occurences";
LABEL EPI040  = "Occurences";
LABEL EPI050  = "Occurences";
LABEL EPI060  = "Occurences";
LABEL EPI070  = "Occurences";
LABEL EPI080  = "Occurences";
LABEL EPI090  = "Occurences";
LABEL EPI101  = "Occurences";
LABEL EPI102  = "Occurences";
LABEL EPI110  = "Occurences";
LABEL EPI120  = "Occurences";
LABEL EPI130  = "Occurences";
LABEL EPI140  = "Occurences";
LABEL EPI151  = "Occurences";
LABEL EPI152  = "Occurences";
LABEL EPI161  = "Occurences";
LABEL EPI162  = "Occurences";
LABEL EPI163  = "Occurences";
LABEL EPI164  = "Occurences";
LABEL EPI171  = "Occurences";
LABEL EPI172  = "Occurences";
LABEL EPI173  = "Occurences";
LABEL EPI181  = "Occurences";
LABEL EPI182  = "Occurences";
LABEL EPI183  = "Occurences";
LABEL EPI184  = "Occurences";
LABEL EPI185  = "Occurences";
LABEL EPI186  = "Occurences";
LABEL EPI190  = "Occurences";
LABEL EPI200  = "Occurences";
LABEL EPI211  = "Occurences";
LABEL EPI212  = "Occurences";
LABEL EPI213  = "Occurences";
LABEL EPI220  = "Occurences";
LABEL EPI230  = "Occurences";
LABEL EPI240  = "Occurences";
LABEL EPI250  = "Occurences";
LABEL EPI260  = "Occurences";
LABEL EPI271  = "Occurences";
LABEL EPI272  = "Occurences";
LABEL EPI281  = "Occurences";
LABEL EPI282  = "Occurences";
LABEL EPI291  = "Occurences";
LABEL EPI292  = "Occurences";
LABEL EPI301  = "Occurences";
LABEL EPI302  = "Occurences";
LABEL EPI303  = "Occurences";
LABEL EPI304  = "Occurences";
LABEL EPI310  = "Occurences";
LABEL EPI320  = "Occurences";
LABEL EPI331  = "Occurences";
LABEL EPI332  = "Occurences";
LABEL EPI340  = "Occurences";
LABEL EPI350  = "Occurences";
LABEL EPI361  = "Occurences";
LABEL EPI362  = "Occurences";
LABEL EPI380  = "Occurences";
LABEL EPI390  = "Occurences";
LABEL EPI400  = "Occurences";
LABEL EPI410  = "Occurences";
LABEL EPI411  = "Occurences";
LABEL EPI430  = "Occurences";
LABEL EPI431  = "Occurences";
LABEL EPI440  = "Occurences";
LABEL EPI450  = "Occurences";
LABEL EPI460  = "Occurences";
LABEL EPI470  = "Occurences";
LABEL EPI480  = "Occurences";
LABEL EPI491  = "Occurences";
LABEL EPI492  = "Occurences";
LABEL EPI500  = "Occurences";
LABEL EPI511  = "Occurences";
LABEL EPI512  = "Occurences";
LABEL EPI520  = "Occurences";
LABEL EPI530  = "Occurences";
LABEL EPI540  = "Occurences";
LABEL EPI550  = "Occurences";
LABEL EPI560  = "Occurences";
LABEL EPI580  = "Occurences";
LABEL EPI590  = "Occurences";
LABEL EPI600  = "Occurences";
LABEL EPI610  = "Occurences";
LABEL EPI620  = "Occurences";
LABEL EPI630  = "Occurences";
LABEL EPI640  = "Occurences";
LABEL EPI642  = "Occurences";
LABEL EPI651  = "Occurences";
LABEL EPI652  = "Occurences";
LABEL EPI660  = "Occurences";
LABEL EPI661  = "Occurences";
LABEL EPI671  = "Occurences";
LABEL EPI672  = "Occurences";
LABEL EPI673  = "Occurences";
LABEL EPI674  = "Occurences";
LABEL EPI675  = "Occurences";
LABEL EPI676  = "Occurences";
LABEL EPI677  = "Occurences";
LABEL EPI678  = "Occurences";
LABEL EPI680  = "Occurences";
LABEL EPI691  = "Occurences";
LABEL EPI692  = "Occurences";
LABEL EPI701  = "Occurences";
LABEL EPI702  = "Occurences";
LABEL EPI711  = "Occurences";
LABEL EPI712  = "Occurences";
LABEL EPI713  = "Occurences";
LABEL EPI720  = "Occurences";
LABEL EPI730  = "Occurences";
LABEL EPI741  = "Occurences";
LABEL EPI742  = "Occurences";
LABEL EPI743  = "Occurences";
LABEL EPI751  = "Occurences";
LABEL EPI752  = "Occurences";
LABEL EPI753  = "Occurences";
LABEL EPI754  = "Occurences";
LABEL EPI760  = "Occurences";
LABEL EPI770  = "Occurences";
LABEL EPI780  = "Occurences";
LABEL EPI791  = "Occurences";
LABEL EPI792  = "Occurences";
LABEL EPI793  = "Occurences";
LABEL EPI800  = "Occurences";
LABEL EPI801  = "Occurences";
LABEL EPI802  = "Occurences";
LABEL EPI803  = "Occurences";
LABEL EPI804  = "Occurences";
LABEL EPI805  = "Occurences";
LABEL EPI806  = "Occurences";
LABEL EPI807  = "Occurences";
LABEL EPI808  = "Occurences";
LABEL EPI809  = "Occurences";
LABEL EPI810  = "Occurences";
LABEL EPI811  = "Occurences";
LABEL EPI812  = "Occurences";
LABEL EPI813  = "Occurences";
LABEL EPI814  = "Occurences";
LABEL EPI815  = "Occurences";
LABEL EPI816  = "Occurences";
LABEL EPI821  = "Occurences";
LABEL EPI822  = "Occurences";
LABEL EPI831  = "Occurences";
LABEL EPI832  = "Occurences";
LABEL EPI841  = "Occurences";
LABEL EPI842  = "Occurences";
LABEL EPI850  = "Occurences";
LABEL EPI861  = "Occurences";
LABEL EPI862  = "Occurences";
LABEL EPI863  = "Occurences";
LABEL EPI864  = "Occurences";
LABEL EPI871  = "Occurences";
LABEL EPI872  = "Occurences";
LABEL EPI873  = "Occurences";
LABEL EPI880  = "Occurences";
LABEL EPI891  = "Occurences";
LABEL EPI892  = "Occurences";
LABEL EPI893  = "Occurences";
LABEL EPI894  = "Occurences";
LABEL EPI900  = "Occurences";
LABEL EPI911  = "Occurences";
LABEL EPI912  = "Occurences";
LABEL EPI913  = "Occurences";
LABEL EPI914  = "Occurences";
LABEL EPI920  = "Occurences";
LABEL EPI931  = "Occurences";
LABEL EPI932  = "Occurences";
LABEL EPI940  = "Occurences";
LABEL EPI950  = "Occurences";
LABEL EPI961  = "Occurences";
LABEL EPI962  = "Occurences";
LABEL EPI980  = "Occurences";
LABEL EPI990  = "Occurences";
LABEL SLEEP1S  = "Start of sleep episode the first night.";
LABEL SLEEP1D  = "Minutes";
LABEL SLEEP2E  = "Wakeup time the second night.";
LABEL SLEEP2D  = "Minutes";
LABEL ENJOYAC  = "The most enjoyable activity specified on";
LABEL ENJOYDU  = "Minutes";
LABEL ENJOYLO  = "Location of the most enjoyable activity ";
LABEL ENJOYS01  = "Most enjoyable activity was done alone.";
LABEL ENJOYS02  = "Most enjoyable activity was done with sp";
LABEL ENJOYS03  = "Most enjoyable activity was done with ho";
LABEL ENJOYS04  = "Most enjoyable activity was done with pa";
LABEL ENJOYS05  = "Most enjoyable activity was done with ot";
LABEL ENJOYS06  = "Most enjoyable activity was done with ch";
LABEL ENJOYS07  = "Most enjoyable activity was done with ch";
LABEL ENJOYS08  = "Most enjoyable activity was done with pa";
LABEL ENJOYS09  = "Most enjoyable activity was done with ot";
LABEL ENJOYS10  = "Most enjoyable activity was done with fr";
LABEL ENJOYS11  = "Most enjoyable activity was done with ot";
LABEL C4  = "When did your child/children wake up on ";
LABEL C5  = "When did your child/children go to sleep";
LABEL C4C5  = "minutes";
LABEL C6EPI01  = "Start time of 1st child care episode.";
LABEL C6EPIE01  = "End time of 1st child care episode.";
LABEL C6EPI02  = "Start time of 2nd child care episode.";
LABEL C6EPIE02  = "End time of 2nd child care episode.";
LABEL C6EPI03  = "Start time of 3rd child care episode.";
LABEL C6EPIE03  = "End time of 3rd child care episode.";
LABEL C6EPI04  = "Start time of 4th child care episode.";
LABEL C6EPIE04  = "End time of 4th child care episode.";
LABEL C6EPI05  = "Start time of 5th child care episode.";
LABEL C6EPIE05  = "End time of 5th child care episode.";
LABEL C6EPI06  = "Start time of 6th child care episode.";
LABEL C6EPIE06  = "End time of 6th child care episode.";
LABEL C6EPI07  = "Start time of 7th child care episode.";
LABEL C6EPIE07  = "End time of 7th child care episode.";
LABEL C6EPI08  = "Start time of 8th child care episode.";
LABEL C6EPIE08  = "End time of 8th child care episode.";
LABEL C6EPI09  = "Start time of 9th child care episode.";
LABEL C6EPIE09  = "End time of 9th child care episode.";
LABEL C6EPI10  = "Start time of 10th child care episode.";
LABEL C6EPIE10  = "End time of 10th child care episode.";
LABEL C6DUR  = "Total time (in minutes) spent looking af";
LABEL D2A  = "Do you plan to slow down in the coming y";
LABEL D2B  = "Do you consider yourself a workaholic?";
LABEL D2C  = "When you need more time, do you tend to ";
LABEL D2D  = "At the end of the day, do you often feel";
LABEL D2E  = "Do you worry that you don't spend enough";
LABEL D2F  = "Do you feel that you're constantly under";
LABEL D2G  = "Do you feel trapped in a daily routine?";
LABEL D2H  = "Do you feel that you just don't have tim";
LABEL D2I  = "Do you often feel under stress when you ";
LABEL D2J  = "Would you like to spend more time alone?";
LABEL TIMECR  = "Time crunch variable.";
LABEL TIMENS  = "Number of NOT STATED codes for Questions";
LABEL D3  = "During the past 2 weeks, would you say t";
LABEL D4  = "What is your main source of stress?";
LABEL D5  = "Presently, would you describe yourself a";
LABEL D6A  = "Please rate your feelings about your hea";
LABEL D6B  = "Please rate your feelings about your job";
LABEL D6C  = "Please rate your feelings about the way ";
LABEL D6D  = "Please rate your feelings about your fin";
LABEL D6E  = "Please rate your feelings about your sel";
LABEL D7  = "Using the same scale, how do you feel ab";
LABEL UNWKCHHD  = "Unpaid work-number of hours the responde";
LABEL UNWKHSDD  = "Unpaid work-number of hours the responde";
LABEL UNWKSEND  = "Unpaid work-number of hours the responde";
LABEL E8  = "In the past 12 months, have you voluntee";
LABEL E9  = "In the past 12 months, did you do any ca";
LABEL E11  = "In the past 12 months, did you provide i";
LABEL E12  = "In the past 12 months, did you help to o";
LABEL E13  = "In the past 12 months, did you do any vo";
LABEL E14  = "In the past 12 months, did you teach or ";
LABEL E15  = "In the past 12 months, did you provide c";
LABEL E18  = "In the past 12 months, did you collect, ";
LABEL E19  = "In the past 12 months, did you help as a";
LABEL E21  = "In the past 12 months, did you help with";
LABEL E23  = "Finally, in the past 12 months, did you ";
LABEL E24  = "hours";
LABEL ACT7DAYS  = "Main activity of the respondent in the l";
LABEL F2  = "Were you studying full-time or part-time";
LABEL F3  = "Did you have a job or were you self-empl";
LABEL WKLTWE  = "Respondent did any work at a job or busi";
LABEL F4  = "Did you have a job or were you self-empl";
LABEL F5  = "In the last four weeks, did you look for";
LABEL F6  = "Have you ever worked at a job or busines";
LABEL AGELTWKC  = "years of age";
LABEL WKWE  = "Weeks employed during the past 12 months";
LABEL F13B  = "working days";
LABEL F14  = "Were you a paid worker or self-employed?";
LABEL F16  = "Did you have any paid employees?";
LABEL F17  = "About how many employees did you have?";
LABEL SIC80C13  = "Standard Industrial Classification (1980";
LABEL SIC80C18  = "Standard Industrial Classification (1980";
LABEL NAICS16  = "North American Industrial Classification";
LABEL SOC80C10  = "Standard Occupational Classification (19";
LABEL SOC91C08  = "Standard Occupational Classification (19";
LABEL SOC91C10  = "Standard Occupational Classification (19";
LABEL BLISH12  = "Blishen Socio-economic Index for Occupat";
LABEL PINEOC06  = "Pineo Socio-economic Classification of t";
LABEL F22  = "Are you a union member or covered by a u";
LABEL F23  = "Did you have more than one paid job last";
LABEL F24  = "How many hours a week do you usually wor";
LABEL F25A  = "How many hours a week do you usually wor";
LABEL F25B  = "How many hours a week do you usually wor";
LABEL WKWEHR  = "hours";
LABEL F26_C1  = "Reason for working less than 30 hours a ";
LABEL F26_C2  = "Reason for working less than 30 hours a ";
LABEL F26_C3  = "Reason for working less than 30 hours a ";
LABEL F26_C4  = "Reason for working less than 30 hours a ";
LABEL F26_C5  = "Reason for working less than 30 hours a ";
LABEL F26_C6  = "Reason for working less than 30 hours a ";
LABEL F26_C7  = "Reason for working less than 30 hours a ";
LABEL F26_C8  = "Reason for working less than 30 hours a ";
LABEL F26_C9  = "Reason for working less than 30 hours a ";
LABEL F26B  = "At your main job, given the choice, woul";
LABEL F27  = "Which of the following best describes yo";
LABEL F30  = "Do you have a flexible schedule that all";
LABEL F31  = "Some people do all or some of their paid";
LABEL F32  = "What is the main reason you do some of y";
LABEL F33  = "How many paid hours per week do you usua";
LABEL LFSGSS  = "Labour Force Status of the respondent";
LABEL LFSHSD12  = "Labour Force Status of the household.";
LABEL F35  = "During the past 12 months, did you take ";
LABEL F36  = "weeks";
LABEL F37A  = "Now, last month did you attend any cours";
LABEL F37B  = "Were any of these courses credit courses";
LABEL F37C  = "For how many hours last month did you ta";
LABEL F38  = "Were any of these courses non-credit cou";
LABEL F38A  = "For how many hours last month did you ta";
LABEL F39  = "Many people improve their knowledge of a";
LABEL F40_C01  = "What were you learning? ... Child care.";
LABEL F40_C02  = "What were you learning? ... Computer.";
LABEL F40_C03  = "What were you learning? ... Specified in";
LABEL F40_C04  = "What were you learning? ... Gardening.";
LABEL F40_C05  = "What were you learning? ... Farming, agr";
LABEL F40_C06  = "What were you learning? ... Business ser";
LABEL F40_C07  = "What were you learning? ... Financial se";
LABEL F40_C08  = "What were you learning? ...Health.";
LABEL F40_C09  = "What were you learning? ... Construction";
LABEL F40_C10  = "What were you learning? ... Carpentry an";
LABEL F40_C11  = "What were you learning? ... Vehicle main";
LABEL F40_C12  = "What were you learning? ... Environmenta";
LABEL F40_C13  = "What were you learning? ... Natural scie";
LABEL F40_C14  = "What were you learning? ... Social scien";
LABEL F40_C15  = "What were you learning? ... History, cur";
LABEL F40_C16  = "What were you learning? ... Fine Arts no";
LABEL F40_C17  = "What were you learning? ... Music.";
LABEL F40_C18  = "What were you learning? ... Crafts and h";
LABEL F40_C19  = "What were you learning? ... Languages an";
LABEL F40_C20  = "What were you learning? ... Education ac";
LABEL F40_C21  = "What were you learning? ... Personal dev";
LABEL F40_C22  = "What were you learning? ... Spirituality";
LABEL F40_C23  = "What were you learning? ... Cooking and ";
LABEL F40_C24  = "What were you learning? ... Sports.";
LABEL F40_C25  = "What were you learning? ... Work related";
LABEL F40_C26  = "What were you learning? ... General know";
LABEL F40_C27  = "What were you learning? ... Other, not e";
LABEL NUMSUBJ  = "Number of subjects the respondent was se";
LABEL F41_C1  = "Media used to improve the knowledge of a";
LABEL F41_C2  = "Media used to improve the knowledge of a";
LABEL F41_C3  = "Media used to improve the knowledge of a";
LABEL F41_C4  = "Media used to improve the knowledge of a";
LABEL F41_C5  = "Media used to improve the knowledge of a";
LABEL F41_C6  = "Media used to improve the knowledge of a";
LABEL F41_C7  = "Media used to improve the knowledge of a";
LABEL F42  = "How many hours in total did you devote t";
LABEL F44  = "Have you graduated from high school?";
LABEL F45  = "Have you had any further schooling beyon";
LABEL EDU10  = "Highest Level of Education Obtained by t";
LABEL EDUSTAT  = "Full-time or part-time education status ";
LABEL EDUYR  = "Number of years of elementary/secondary ";
LABEL F47  = "In what year did you complete your studi";
LABEL F48  = "Are you satisfied or dissatisfied with t";
LABEL F49_C1  = "Reason being dissatisfied with the balan";
LABEL F49_C2  = "Reason being dissatisfied with the balan";
LABEL F49_C3  = "Reason being dissatisfied with the balan";
LABEL F49_C4  = "Reason being dissatisfied with the balan";
LABEL F49_C5  = "Reason being dissatisfied with the balan";
LABEL F49_C6  = "Reason being dissatisfied with the balan";
LABEL F49_C7  = "Reason being dissatisfied with the balan";
LABEL F49_C8  = "Reason being dissatisfied with the balan";
LABEL ACMPRWEC  = "Main activity of the respondent's spouse";
LABEL G3  = "Was he/she studying full-time or part-ti";
LABEL WKWEPR  = "Did he/she have a job or was he/she self";
LABEL WKWEHRPR  = "How many hours did he/she work last week";
LABEL WKDYPR  = "Did he/she work on (designated day)?";
LABEL G7  = "Did he/she work regular hours or a split";
LABEL G8ST  = "What hours did he/she work on designated";
LABEL G8EN  = "What hours did he/she work on designated";
LABEL G9ST  = "What hours did he/she work on designated";
LABEL G9EN  = "What hours did he/she work on designated";
LABEL WKDYHRPR  = "Number of hours of paid work by the resp";
LABEL G10  = "Last week, did he/she spend any time doi";
LABEL G10A  = "For how many hours did he/she spend any ";
LABEL G11  = "Last week, did he/she do any unpaid work";
LABEL G11A  = "For how many hours did he/she do any unp";
LABEL G12  = "Last week, how many hours did he/she spe";
LABEL EDUPR10  = "Respondent's spouse/partner's education ";
LABEL H1  = "During the past 12 months, as a leisure ";
LABEL H1A  = "How often?";
LABEL H2  = "During the past 12 months, as a leisure ";
LABEL H2A  = "How often during the past 12 months, as ";
LABEL H3  = "During the past 12 months, as a leisure ";
LABEL H3A  = "On average, dring the past 12 months, as";
LABEL H5  = "During the past 12 months did you use li";
LABEL H5A  = "How often during the past 12 months did ";
LABEL H5B_C1  = "For what purpose(s) you use library serv";
LABEL H5B_C2  = "For what purpose(s) you use library serv";
LABEL H5B_C3  = "For what purpose(s) you use library serv";
LABEL H5B_C4  = "For what purpose(s) you use library serv";
LABEL H5B_C5  = "For what purpose(s) you use library serv";
LABEL H6  = "During the past 12 months did you ... go";
LABEL H6A  = "How often did you go to a movie theatre ";
LABEL H7  = "During the past 12 months did you ... wa";
LABEL H7A  = "How often did you watch a video, rented ";
LABEL H8  = "During the past 12 months did you ... li";
LABEL H8A  = "How often did you listen to cassettes, C";
LABEL H9  = "Last week, how many hours did you listen";
LABEL H10  = "Were any of these hours spent listening ";
LABEL H10A  = "How many hours last week?";
LABEL H11A  = "Last week, how many hours did you watch ";
LABEL H11B  = "Were any of these hours spent watching a";
LABEL H11C  = "How many hours last week did you spent w";
LABEL H12  = "During the past 12 months, did you acces";
LABEL H12A  = "When you accessed the internet, was it t";
LABEL H12B  = "When you accessed the internet, was it t";
LABEL H12C  = "When you accessed the internet, was it t";
LABEL H12D  = "When you accessed the internet, was it t";
LABEL H12E  = "When you accessed the internet, was it t";
LABEL H12F  = "When you accessed the internet, was it t";
LABEL H12G  = "When you accessed the internet, was it f";
LABEL H12H  = "When you accessed the internet, was it t";
LABEL H13  = "During the past 12 months did you attend";
LABEL H14  = "Did you attend a theatrical performance ";
LABEL H14A  = "How often did you attend a theatrical pe";
LABEL H18  = "Did you attend a popular musical perform";
LABEL H18A  = "How often did you attend a popular music";
LABEL H19  = "Did you attend a symphonic or classical ";
LABEL H19A  = "How often did you attend a symphonic or ";
LABEL H20  = "Did you attend an opera?";
LABEL H20A  = "How often in the past 12 months, did you";
LABEL H21  = "Did you attend a choral music performanc";
LABEL H21A  = "How often in the past 12 months did you ";
LABEL H22  = "Did you attend a dance performance (ball";
LABEL H22A  = "How often did you attend a dance perform";
LABEL H23  = "Did you attend a performance for a child";
LABEL H23A  = "How often did you attend a performance f";
LABEL H24  = "During the past 12 months did you go to ";
LABEL H24A  = "How often in the past 12 months did you ";
LABEL H25  = "During the past 12 months did you go to ";
LABEL H25A  = "How often did you go to a performance of";
LABEL H26  = "During the past 12 months did you go to ";
LABEL H26A  = "How often did you go to another popular ";
LABEL H27  = "During the past 12 months did you go to ";
LABEL H28  = "Did you go to a public art gallery or ar";
LABEL H28A  = "How often did you go to a public art gal";
LABEL H29  = "Did you go to a commercial art gallery?";
LABEL H29A  = "How often did you go to a commercial art";
LABEL H30  = "Did you go to a science centre or scienc";
LABEL H30A  = "How often did you go to a science centre";
LABEL H31  = "Did you go to a general, human history o";
LABEL H31A  = "How often did you go to a general, human";
LABEL H32  = "During the past 12 months did you go to ";
LABEL H32A  = "How often did you go to an historic site";
LABEL H33  = "During the past 12 months did you go to ";
LABEL H33A  = "How often during the past 12 months did ";
LABEL H34  = "During the past 12 months did you go to ";
LABEL H34A  = "How often did you go to a conservation a";
LABEL H35A  = "During the past 12 months as a leisure a";
LABEL H35B  = "During the past 12 months as a leisure a";
LABEL H35C  = "During the past 12 months as a leisure a";
LABEL H35D  = "During the past 12 months as a leisure a";
LABEL H35E  = "During the past 12 months as a leisure a";
LABEL H35F  = "During the past 12 months as a leisure a";
LABEL H35G  = "During the past 12 months as a leisure a";
LABEL H35H  = "During the past 12 months as a leisure a";
LABEL J1  = "Did you regularly participate in any spo";
LABEL J2J4SP02  = "Participation in badminton.";
LABEL J2ASP02  = "Frequency of participation in badminton.";
LABEL J2J4SP03  = "Participation in baseball.";
LABEL J2ASP03  = "Frequency of participation in baseball.";
LABEL J2J4SP04  = "Participation in basketball.";
LABEL J2ASP04  = "Frequency of participation in basketball";
LABEL J2J4SP10  = "Participation in cycling.";
LABEL J2ASP10  = "Frequency of participation in cycling.";
LABEL J2J4SP14  = "Participation in football.";
LABEL J2ASP14  = "Frequency of participation in football.";
LABEL J2J4SP15  = "Participation in golf.";
LABEL J2ASP15  = "Frequency of participation in golf.";
LABEL J2J4SP20  = "Participation in hockey (ice).";
LABEL J2ASP20  = "Frequency of participation in hockey (ic";
LABEL J2J4SP23  = "Participation in karate.";
LABEL J2ASP23  = "Frequency of participation in karate.";
LABEL J2J4SP28  = "Participation in racquetball.";
LABEL J2ASP28  = "Frequency of participation in racquetbal";
LABEL J2J4SP29  = "Participation in rugby.";
LABEL J2ASP29  = "Frequency of participation in rugby.";
LABEL J2J4SP31  = "Participation in figure skating.";
LABEL J2ASP31  = "Frequency of participation in figure ska";
LABEL J2J4SP33  = "Participation in water skiing.";
LABEL J2ASP33  = "Frequency of participation in water skii";
LABEL J2J4SP34  = "Participation in soccer.";
LABEL J2ASP34  = "Frequency of participation in soccer.";
LABEL J2J4SP35  = "Participation in softball.";
LABEL J2ASP35  = "Frequency of participation in softball.";
LABEL J2J4SP36  = "Participation in squash.";
LABEL J2ASP36  = "Frequency of participation in squash.";
LABEL J2J4SP37  = "Participation in swimming.";
LABEL J2ASP37  = "Frequency of participation in swimming.";
LABEL J2J4SP39  = "Participation in tennis.";
LABEL J2ASP39  = "Frequency of participation in tennis.";
LABEL J2J4SP42  = "Participation in volleyball.";
LABEL J2ASP42  = "Frequency of participation in volleyball";
LABEL J2J4SP44  = "Participation in weightlifting.";
LABEL J2ASP44  = "Frequency of participation in weightlift";
LABEL J2J4SP47  = "Participation in skiing, downhill/alpine";
LABEL J2ASP47  = "Frequency of participation in skiing, do";
LABEL J2J4SP48  = "Participation in skiing, cross country/n";
LABEL J2ASP48  = "Frequency of participation in skiing, cr";
LABEL J2J4SP52  = "Participation in curling.";
LABEL J2ASP52  = "Frequency of participation in curling.";
LABEL J2J4SP55  = "Participation in bowling, 5 pin.";
LABEL J2ASP55  = "Frequency of participation in bowling, 5";
LABEL J2J4SP57  = "Participation in bowling, 10 pin.";
LABEL J2ASP57  = "Frequency of participation in bowling, 1";
LABEL J2J4SP65  = "Participation in other sports.";
LABEL J2ASP65  = "Frequency of participation in other spor";
LABEL J2J4SP71  = "Participation in ball hockey.";
LABEL J2ASP71  = "Frequency of participation in ball hocke";
LABEL J2J4SP74  = "Participation in in-line skating.";
LABEL J2ASP74  = "Frequency of participation in in-line sk";
LABEL J2J4SP77  = "Participation in snowboarding.";
LABEL J2ASP77  = "Frequency of participation in snowboardk";
LABEL J2J4SP00  = "Participation in sports on exclusion lis";
LABEL J2ASP00  = "Frequency of participation in sports on ";
LABEL SP0079  = "Number of sports by respondent, codes 00";
LABEL SP0179  = "Number of sports by respondent, excludin";
LABEL J3  = "Did you participate in any competitions ";
LABEL J4NB  = "Number of sports with participation in a";
LABEL J5A  = "To what degree is sport important in pro";
LABEL J5B  = "To what degree is sport important in pro";
LABEL J5C  = "To what degree is sport important in pro";
LABEL J5D  = "To what degree is sport important in pro";
LABEL J5E  = "To what degree is sport important in pro";
LABEL J6_C01  = "Are there any particular reasons why you";
LABEL J6_C02  = "Are there any particular reasons why you";
LABEL J6_C03  = "Are there any particular reasons why you";
LABEL J6_C04  = "Are there any particular reasons why you";
LABEL J6_C05  = "Are there any particular reasons why you";
LABEL J6_C06  = "Are there any particular reasons why you";
LABEL J6_C07  = "Are there any particular reasons why you";
LABEL J6_C08  = "Are there any particular reasons why you";
LABEL J6_C09  = "Are there any particular reasons why you";
LABEL J6_C10  = "Are there any particular reasons why you";
LABEL J6_C11  = "Are there any particular reasons why you";
LABEL J7  = "Did other members of your household regu";
LABEL J8MEMT  = "Number of other household members who re";
LABEL J8MEMA  = "Relationship of household member A who r";
LABEL J8AGRA  = "Age group of household member A who regu";
LABEL J8COMA  = "Number of common sports with member A (e";
LABEL J8MEMB  = "Relationship of household member B who r";
LABEL J8AGRB  = "Age group of household member B who regu";
LABEL J8COMB  = "Number of common sports with member B (e";
LABEL J8MEMC  = "Relationship of household member C who r";
LABEL J8AGRC  = "Age group of household member C who regu";
LABEL J8COMC  = "Number of common sports with member C (e";
LABEL J8MEMD  = "Relationship of household member D who r";
LABEL J8AGRD  = "Age group of household member D who regu";
LABEL J8COMD  = "Number of common sports with member D (e";
LABEL J9J15  = "Do you or other members of your househol";
LABEL MEMBER  = "Respondent belongs to a sport club, loca";
LABEL J10AMEMA  = "Relationship of household member A belon";
LABEL J10AGRA  = "Age group of household member A belongin";
LABEL J10AMEMB  = "Relationship of household member B belon";
LABEL J10AGRB  = "Age group of household member B belongin";
LABEL J10AMEMC  = "Relationship of household member C belon";
LABEL J10AGRC  = "Age group of household member C belongin";
LABEL J10AMEMD  = "Relationship of household member D belon";
LABEL J10AGRD  = "Age group of household member D belongin";
LABEL J11J16A  = "During the past 12 months, have you or o";
LABEL COACH  = "During the past 12 months, respondent ha";
LABEL J11AMEMA  = "Relationship of household member A who h";
LABEL J11AGRA  = "Age group of household member A who has ";
LABEL J11AMEMB  = "Relationship of household member B who h";
LABEL J11AGRB  = "Age group of household member B who has ";
LABEL J11AMEMC  = "Relationship of household member C has b";
LABEL J11AGRC  = "Age group of household member C who has ";
LABEL J11AMEMD  = "Relationship of household member D who h";
LABEL J11AGRD  = "Age group of household member D has been";
LABEL J12J16B  = "During the past 12 months, have you or o";
LABEL REFEREE  = "During the past 12 months, respondent ha";
LABEL J12AMEMA  = "Relationship of household member A who h";
LABEL J12AGRA  = "Age group of household member A who has ";
LABEL J12AMEMB  = "Relationship of household member B who h";
LABEL J12AGRB  = "Age group of household member B who has ";
LABEL J12AMEMC  = "Relationship of household member C who h";
LABEL J12AGRC  = "Age group of household member C who has ";
LABEL J12AMEMD  = "Relationship of household member D who h";
LABEL J12AGRD  = "Age group of household member D who has ";
LABEL J13J16C  = "During the past 12 months, have you or o";
LABEL ADMIN  = "During the past 12 months, respondent ha";
LABEL J13AMEMA  = "Relationship of household member A who h";
LABEL J13AGRA  = "Age group of household member A who has ";
LABEL J13AMEMB  = "Relationship of household member B who h";
LABEL J13AGRB  = "Age group of household member B who has ";
LABEL J13AMEMC  = "Relationship of household member C who h";
LABEL J13AGRC  = "Age group of household member C who has ";
LABEL J13AMEMD  = "Relationship of household member D who h";
LABEL J13AGRD  = "Age group of household member D who has ";
LABEL J14J16D  = "During the past 12 months, have you or o";
LABEL SPECTAT  = "During the past 12 months, respondent ha";
LABEL J14AMEMA  = "Relationship of household member A who h";
LABEL J14AGRA  = "Age group of household member A who has ";
LABEL J14AMEMB  = "Relationship of household member B who h";
LABEL J14AGRB  = "Age group of household member B who has ";
LABEL J14AMEMC  = "Relationship of household member C who h";
LABEL J14AGRC  = "Age group of household member C who has ";
LABEL J14AMEMD  = "Relationship of household member D who h";
LABEL J14AGRD  = "Age group of household member D who has ";
LABEL K2  = "How much do you enjoy..... Cleaning the ";
LABEL K3  = "How much do you enjoy..... Cooking?";
LABEL K4  = "How much do you enjoy..... Doing repairs";
LABEL K5  = "How much do you enjoy..... Watching T.V.";
LABEL K6  = "How much do you enjoy..... Grocery shopp";
LABEL K7  = "How much do you enjoy..... Other kinds o";
LABEL K8  = "How much do you enjoy..... Working as a ";
LABEL K9  = "How much do you enjoy..... Attending soc";
LABEL K10  = "How much do you enjoy..... Participating";
LABEL K11  = "How much do you enjoy..... Going out to ";
LABEL K12  = "How much do you enjoy..... Dining at res";
LABEL K13  = "How much do you enjoy..... Having supper";
LABEL K14  = "How much do you enjoy..... Your paid wor";
LABEL K15  = "How much do you enjoy..... Commuting to/";
LABEL DWELC  = "Dwelling type of the respondent.";
LABEL L3C  = "How many rooms are there in this dwellin";
LABEL DWELOWN  = "Ownership by a member of respondent's dw";
LABEL L6  = "Do you have more than one telephone in y";
LABEL L7  = "Do all the telephones have the same numb";
LABEL L10  = "Are any of these numbers for business, c";
LABEL BRTHCAN  = "Country of birth of the respondent.";
LABEL BRTHREG  = "Country or region of birth of the respon";
LABEL BRTHPRVC  = "Province of birth of respondent.";
LABEL YRARRI  = "Range of years when the respondent came ";
LABEL AGEARRIC  = "Age of the respondent when came to live ";
LABEL BRTHMCAN  = "Country of birth of the respondent's mot";
LABEL BRTHMREG  = "Country or region of birth of the respon";
LABEL BRTHFCAN  = "Country of birth of the respondent's fat";
LABEL BRTHFREG  = "Country or region of birth of the respon";
LABEL LANCH  = "First childhood language of the responde";
LABEL LANCHSUE  = "Respondent still understands first child";
LABEL LANCHSUF  = "Respondent still understands first child";
LABEL LANCHSUO  = "Respondent still understands first child";
LABEL LANHSD  = "Respondent's household language.";
LABEL RELIG6  = "Religion of respondent.";
LABEL RELIGATT  = "Religious attendance of the respondent.";
LABEL L21A  = "How one feels at any particular time is ";
LABEL L21B  = "How one feels at any particular time is ";
LABEL L21C  = "How one feels at any particular time is ";
LABEL L21D  = "How one feels at any particular time is ";
LABEL L21E  = "How one feels at any particular time is ";
LABEL L21F  = "How one feels at any particular time is ";
LABEL L21G  = "How one feels at any particular time is ";
LABEL L21H  = "How would you describe your sense of bel";
LABEL HLTHSTAT  = "Compared to other people of your age, ho";
LABEL ACTLIMIT  = "Are you limited in the amount or kind of";
LABEL HLTHPR7  = "Main condition of the respondent's healt";
LABEL SLEEPROB  = "Do you regularly have trouble going to s";
LABEL L27  = "What was your main source of income duri";
LABEL INCMMEMC  = "Number of household members receiving in";
LABEL INCM  = "Annual personal income of the respondent";
LABEL INCMHSD  = "Income of the respondent's household.";

FORMAT
   SURVMNTH  SURVMNTH.
   LANINT  LANINT.
   AGEGR5  AGEGR5F.
   AGEGR10  AGEGR10F.
   SEX  SEX.
   MARSTAT  MARSTAT.
   AGEPRGR5  AGERGR5F.
   PRTYPEC  PRTYPEC.
   CHRFLAG  CHRFLAG.
   AGECHRYC  AGECHRYC.
   CHR0004C  CHR0004C.
   CHR0512C  CHR0512C.
   CHR1314C  CHR1314C.
   CHR1518C  CHR1518C.
   CHR1924C  CHR1924C.
   CHR25UPC  CHR25UPC.
   CHH0004C  CHH0004C.
   CHH0512C  CHH0512C.
   CHH1314C  CHH1314C.
   CHRTIME6  CHRIME6F.
   PARHSD  PARHSD.
   LIVARR12  LIVRR12F.
   LIVARR08  LIVRR08F.
   HSDSIZEC  HSDSIZEC.
   FAMTYPE  FAMTYPE.
   MULTIGEN  MULTIGEN.
   PRV  PRV.
   REGION  REGION.
   CMAPRV  CMAPRV.
   A2  A2F.
   A3  A3F.
   A4  A4F.
   A5  A5F.
   A6  A6F.
   DDAY  DDAY.
   DIARYREC  DIARYREC.
   DVTDAY  DVTDAY.
   SLEEP1S  SLEEP1S.
   SLEEP1D  SLEEP1D.
   SLEEP2E  SLEEP2E.
   SLEEP2D  SLEEP2D.
   ENJOYAC  ENJOYAC.
   ENJOYDU  ENJOYDU.
   ENJOYLO  ENJOYLO.
   ENJOYS01  ENJYS01F.
   ENJOYS02  ENJYS02F.
   ENJOYS03  ENJYS03F.
   ENJOYS04  ENJYS04F.
   ENJOYS05  ENJYS05F.
   ENJOYS06  ENJYS06F.
   ENJOYS07  ENJYS07F.
   ENJOYS08  ENJYS08F.
   ENJOYS09  ENJYS09F.
   ENJOYS10  ENJYS10F.
   ENJOYS11  ENJYS11F.
   C4  C4F.
   C5  C5F.
   C4C5  C4C5F.
   C6EPI01  C6EPI01F.
   C6EPIE01  C6EIE01F.
   C6EPI02  C6EPI02F.
   C6EPIE02  C6EIE02F.
   C6EPI03  C6EPI03F.
   C6EPIE03  C6EIE03F.
   C6EPI04  C6EPI04F.
   C6EPIE04  C6EIE04F.
   C6EPI05  C6EPI05F.
   C6EPIE05  C6EIE05F.
   C6EPI06  C6EPI06F.
   C6EPIE06  C6EIE06F.
   C6EPI07  C6EPI07F.
   C6EPIE07  C6EIE07F.
   C6EPI08  C6EPI08F.
   C6EPIE08  C6EIE08F.
   C6EPI09  C6EPI09F.
   C6EPIE09  C6EIE09F.
   C6EPI10  C6EPI10F.
   C6EPIE10  C6EIE10F.
   C6DUR  C6DUR.
   D2A  D2A.
   D2B  D2B.
   D2C  D2C.
   D2D  D2D.
   D2E  D2E.
   D2F  D2F.
   D2G  D2G.
   D2H  D2H.
   D2I  D2I.
   D2J  D2J.
   TIMECR  TIMECR.
   TIMENS  TIMENS.
   D3  D3F.
   D4  D4F.
   D5  D5F.
   D6A  D6A.
   D6B  D6B.
   D6C  D6C.
   D6D  D6D.
   D6E  D6E.
   D7  D7F.
   UNWKCHHD  UNWKCHHD.
   UNWKHSDD  UNWKHSDD.
   UNWKSEND  UNWKSEND.
   E8  E8F.
   E9  E9F.
   E11  E11F.
   E12  E12F.
   E13  E13F.
   E14  E14F.
   E15  E15F.
   E18  E18F.
   E19  E19F.
   E21  E21F.
   E23  E23F.
   E24  E24F.
   ACT7DAYS  ACT7DAYS.
   F2  F2F.
   F3  F3F.
   WKLTWE  WKLTWE.
   F4  F4F.
   F5  F5F.
   F6  F6F.
   AGELTWKC  AGELTWKC.
   WKWE  WKWE.
   F13B  F13B.
   F14  F14F.
   F16  F16F.
   F17  F17F.
   SIC80C13  SIC0C13F.
   SIC80C18  SIC0C18F.
   NAICS16  NAICS16F.
   SOC80C10  SOC0C10F.
   SOC91C08  SOC1C08F.
   SOC91C10  SOC1C10F.
   BLISH12  BLISH12F.
   PINEOC06  PINOC06F.
   F22  F22F.
   F23  F23F.
   F24  F24F.
   F25A  F25A.
   F25B  F25B.
   WKWEHR  WKWEHR.
   F26_C1  F26_C1F.
   F26_C2  F26_C2F.
   F26_C3  F26_C3F.
   F26_C4  F26_C4F.
   F26_C5  F26_C5F.
   F26_C6  F26_C6F.
   F26_C7  F26_C7F.
   F26_C8  F26_C8F.
   F26_C9  F26_C9F.
   F26B  F26B.
   F27  F27F.
   F30  F30F.
   F31  F31F.
   F32  F32F.
   F33  F33F.
   LFSGSS  LFSGSS.
   LFSHSD12  LFSSD12F.
   F35  F35F.
   F36  F36F.
   F37A  F37A.
   F37B  F37B.
   F37C  F37C.
   F38  F38F.
   F38A  F38A.
   F39  F39F.
   F40_C01  F40_C01F.
   F40_C02  F40_C02F.
   F40_C03  F40_C03F.
   F40_C04  F40_C04F.
   F40_C05  F40_C05F.
   F40_C06  F40_C06F.
   F40_C07  F40_C07F.
   F40_C08  F40_C08F.
   F40_C09  F40_C09F.
   F40_C10  F40_C10F.
   F40_C11  F40_C11F.
   F40_C12  F40_C12F.
   F40_C13  F40_C13F.
   F40_C14  F40_C14F.
   F40_C15  F40_C15F.
   F40_C16  F40_C16F.
   F40_C17  F40_C17F.
   F40_C18  F40_C18F.
   F40_C19  F40_C19F.
   F40_C20  F40_C20F.
   F40_C21  F40_C21F.
   F40_C22  F40_C22F.
   F40_C23  F40_C23F.
   F40_C24  F40_C24F.
   F40_C25  F40_C25F.
   F40_C26  F40_C26F.
   F40_C27  F40_C27F.
   NUMSUBJ  NUMSUBJ.
   F41_C1  F41_C1F.
   F41_C2  F41_C2F.
   F41_C3  F41_C3F.
   F41_C4  F41_C4F.
   F41_C5  F41_C5F.
   F41_C6  F41_C6F.
   F41_C7  F41_C7F.
   F42  F42F.
   F44  F44F.
   F45  F45F.
   EDU10  EDU10F.
   EDUSTAT  EDUSTAT.
   EDUYR  EDUYR.
   F47  F47F.
   F48  F48F.
   F49_C1  F49_C1F.
   F49_C2  F49_C2F.
   F49_C3  F49_C3F.
   F49_C4  F49_C4F.
   F49_C5  F49_C5F.
   F49_C6  F49_C6F.
   F49_C7  F49_C7F.
   F49_C8  F49_C8F.
   ACMPRWEC  ACMPRWEC.
   G3  G3F.
   WKWEPR  WKWEPR.
   WKWEHRPR  WKWEHRPR.
   WKDYPR  WKDYPR.
   G7  G7F.
   G8ST  G8ST.
   G8EN  G8EN.
   G9ST  G9ST.
   G9EN  G9EN.
   WKDYHRPR  WKDYHRPR.
   G10  G10F.
   G10A  G10A.
   G11  G11F.
   G11A  G11A.
   G12  G12F.
   EDUPR10  EDUPR10F.
   H1  H1F.
   H1A  H1A.
   H2  H2F.
   H2A  H2A.
   H3  H3F.
   H3A  H3A.
   H5  H5F.
   H5A  H5A.
   H5B_C1  H5B_C1F.
   H5B_C2  H5B_C2F.
   H5B_C3  H5B_C3F.
   H5B_C4  H5B_C4F.
   H5B_C5  H5B_C5F.
   H6  H6F.
   H6A  H6A.
   H7  H7F.
   H7A  H7A.
   H8  H8F.
   H8A  H8A.
   H9  H9F.
   H10  H10F.
   H10A  H10A.
   H11A  H11A.
   H11B  H11B.
   H11C  H11C.
   H12F  H12F.
   H12A  H12A.
   H12B  H12B.
   H12C  H12C.
   H12D  H12D.
   H12E  H12E.
   H12F  H12F.
   H12G  H12G.
   H12H  H12H.
   H13  H13F.
   H14  H14F.
   H14A  H14A.
   H18  H18F.
   H18A  H18A.
   H19  H19F.
   H19A  H19A.
   H20  H20F.
   H20A  H20A.
   H21  H21F.
   H21A  H21A.
   H22  H22F.
   H22A  H22A.
   H23  H23F.
   H23A  H23A.
   H24  H24F.
   H24A  H24A.
   H25  H25F.
   H25A  H25A.
   H26  H26F.
   H26A  H26A.
   H27  H27F.
   H28  H28F.
   H28A  H28A.
   H29  H29F.
   H29A  H29A.
   H30  H30F.
   H30A  H30A.
   H31  H31F.
   H31A  H31A.
   H32  H32F.
   H32A  H32A.
   H33  H33F.
   H33A  H33A.
   H34  H34F.
   H34A  H34A.
   H35A  H35A.
   H35B  H35B.
   H35C  H35C.
   H35D  H35D.
   H35E  H35E.
   H35F  H35F.
   H35G  H35G.
   H35H  H35H.
   J1  J1F.
   J2J4SP02  J2JSP02F.
   J2ASP02  J2ASP02F.
   J2J4SP03  J2JSP03F.
   J2ASP03  J2ASP03F.
   J2J4SP04  J2JSP04F.
   J2ASP04  J2ASP04F.
   J2J4SP10  J2JSP10F.
   J2ASP10  J2ASP10F.
   J2J4SP14  J2JSP14F.
   J2ASP14  J2ASP14F.
   J2J4SP15  J2JSP15F.
   J2ASP15  J2ASP15F.
   J2J4SP20  J2JSP20F.
   J2ASP20  J2ASP20F.
   J2J4SP23  J2JSP23F.
   J2ASP23  J2ASP23F.
   J2J4SP28  J2JSP28F.
   J2ASP28  J2ASP28F.
   J2J4SP29  J2JSP29F.
   J2ASP29  J2ASP29F.
   J2J4SP31  J2JSP31F.
   J2ASP31  J2ASP31F.
   J2J4SP33  J2JSP33F.
   J2ASP33  J2ASP33F.
   J2J4SP34  J2JSP34F.
   J2ASP34  J2ASP34F.
   J2J4SP35  J2JSP35F.
   J2ASP35  J2ASP35F.
   J2J4SP36  J2JSP36F.
   J2ASP36  J2ASP36F.
   J2J4SP37  J2JSP37F.
   J2ASP37  J2ASP37F.
   J2J4SP39  J2JSP39F.
   J2ASP39  J2ASP39F.
   J2J4SP42  J2JSP42F.
   J2ASP42  J2ASP42F.
   J2J4SP44  J2JSP44F.
   J2ASP44  J2ASP44F.
   J2J4SP47  J2JSP47F.
   J2ASP47  J2ASP47F.
   J2J4SP48  J2JSP48F.
   J2ASP48  J2ASP48F.
   J2J4SP52  J2JSP52F.
   J2ASP52  J2ASP52F.
   J2J4SP55  J2JSP55F.
   J2ASP55  J2ASP55F.
   J2J4SP57  J2JSP57F.
   J2ASP57  J2ASP57F.
   J2J4SP65  J2JSP65F.
   J2ASP65  J2ASP65F.
   J2J4SP71  J2JSP71F.
   J2ASP71  J2ASP71F.
   J2J4SP74  J2JSP74F.
   J2ASP74  J2ASP74F.
   J2J4SP77  J2JSP77F.
   J2ASP77  J2ASP77F.
   J2J4SP00  J2JSP00F.
   J2ASP00  J2ASP00F.
   SP0079  SP0079F.
   SP0179  SP0179F.
   J3  J3F.
   J4NB  J4NB.
   J5A  J5A.
   J5B  J5B.
   J5C  J5C.
   J5D  J5D.
   J5E  J5E.
   J6_C01  J6_C01F.
   J6_C02  J6_C02F.
   J6_C03  J6_C03F.
   J6_C04  J6_C04F.
   J6_C05  J6_C05F.
   J6_C06  J6_C06F.
   J6_C07  J6_C07F.
   J6_C08  J6_C08F.
   J6_C09  J6_C09F.
   J6_C10  J6_C10F.
   J6_C11  J6_C11F.
   J7  J7F.
   J8MEMT  J8MEMT.
   J8MEMA  J8MEMA.
   J8AGRA  J8AGRA.
   J8COMA  J8COMA.
   J8MEMB  J8MEMB.
   J8AGRB  J8AGRB.
   J8COMB  J8COMB.
   J8MEMC  J8MEMC.
   J8AGRC  J8AGRC.
   J8COMC  J8COMC.
   J8MEMD  J8MEMD.
   J8AGRD  J8AGRD.
   J8COMD  J8COMD.
   J9J15  J9J15F.
   MEMBER  MEMBER.
   J10AMEMA  J10AMEMA.
   J10AGRA  J10AGRA.
   J10AMEMB  J10AMEMB.
   J10AGRB  J10AGRB.
   J10AMEMC  J10AMEMC.
   J10AGRC  J10AGRC.
   J10AMEMD  J10AMEMD.
   J10AGRD  J10AGRD.
   J11J16A  J11J16A.
   COACH  COACH.
   J11AMEMA  J11AMEMA.
   J11AGRA  J11AGRA.
   J11AMEMB  J11AMEMB.
   J11AGRB  J11AGRB.
   J11AMEMC  J11AMEMC.
   J11AGRC  J11AGRC.
   J11AMEMD  J11AMEMD.
   J11AGRD  J11AGRD.
   J12J16B  J12J16B.
   REFEREE  REFEREE.
   J12AMEMA  J12AMEMA.
   J12AGRA  J12AGRA.
   J12AMEMB  J12AMEMB.
   J12AGRB  J12AGRB.
   J12AMEMC  J12AMEMC.
   J12AGRC  J12AGRC.
   J12AMEMD  J12AMEMD.
   J12AGRD  J12AGRD.
   J13J16C  J13J16C.
   ADMIN  ADMIN.
   J13AMEMA  J13AMEMA.
   J13AGRA  J13AGRA.
   J13AMEMB  J13AMEMB.
   J13AGRB  J13AGRB.
   J13AMEMC  J13AMEMC.
   J13AGRC  J13AGRC.
   J13AMEMD  J13AMEMD.
   J13AGRD  J13AGRD.
   J14J16D  J14J16D.
   SPECTAT  SPECTAT.
   J14AMEMA  J14AMEMA.
   J14AGRA  J14AGRA.
   J14AMEMB  J14AMEMB.
   J14AGRB  J14AGRB.
   J14AMEMC  J14AMEMC.
   J14AGRC  J14AGRC.
   J14AMEMD  J14AMEMD.
   J14AGRD  J14AGRD.
   K2  K2F.
   K3  K3F.
   K4  K4F.
   K5  K5F.
   K6  K6F.
   K7  K7F.
   K8  K8F.
   K9  K9F.
   K10  K10F.
   K11  K11F.
   K12  K12F.
   K13  K13F.
   K14  K14F.
   K15  K15F.
   DWELC  DWELC.
   L3C  L3C.
   DWELOWN  DWELOWN.
   L6  L6F.
   L7  L7F.
   L10  L10F.
   BRTHCAN  BRTHCAN.
   BRTHREG  BRTHREG.
   BRTHPRVC  BRTHPRVC.
   YRARRI  YRARRI.
   AGEARRIC  AGEARRIC.
   BRTHMCAN  BRTHMCAN.
   BRTHMREG  BRTHMREG.
   BRTHFCAN  BRTHFCAN.
   BRTHFREG  BRTHFREG.
   LANCH  LANCH.
   LANCHSUE  LANCHSUE.
   LANCHSUF  LANCHSUF.
   LANCHSUO  LANCHSUO.
   LANHSD  LANHSD.
   RELIG6  RELIG6F.
   RELIGATT  RELIGATT.
   L21A  L21A.
   L21B  L21B.
   L21C  L21C.
   L21D  L21D.
   L21E  L21E.
   L21F  L21F.
   L21G  L21G.
   L21H  L21H.
   HLTHSTAT  HLTHSTAT.
   ACTLIMIT  ACTLIMIT.
   HLTHPR7  HLTHPR7F.
   SLEEPROB  SLEEPROB.
   L27  L27F.
   INCMMEMC  INCMMEMC.
   INCM  INCM.
   INCMHSD  INCMHSD.;
run;
